; This file contains design-time information for Button controls.
;
; One file may contains description of more than one control.
; Look at 'DesignTimeInfo' macro definition.
;
; This file must be compiled with FASM compiler to get binary
; file. It will be compiled as .COM file. This is not executable
; file. Don't start it.

include '..\..\..\source\designtime.inc'
include 'winconst.inc'


DesignTimeInfo                                     \
                                                   \       ; 1. BUTTON CONTROL
        'BUTTON',                                  \
        'Button control',                          \
        'Standard',                                \
        'Button',                                  \
        WS_VISIBLE or BS_PUSHBUTTON or WS_CHILD,   \       ; default style
        0,                                         \       ; default ex style
        64, 25,                                    \
        <                                          \       ; style names
           BS_ICON,      "Specifies that the button displays an icon",   \
           BS_BITMAP,    "Specifies that the button displays a bitmap",   \
           BS_LEFT,      "Places text on the left of the button",   \
           BS_RIGHT,     "Places text on the right of the button",   \
           BS_CENTER,    "Places text in the center (horizontally) of the button",   \
           BS_TOP,       "Places text on the top of the button",   \
           BS_BOTTOM,    "Places text on the bottom of the button",   \
           BS_VCENTER,   "Places text in the center (vertically) of the button",   \
           BS_MULTILINE, "Allows wrapping of the button's text if necesary",   \
           BS_NOTIFY,    "Enables button to send addictional notification messages",   \
           BS_FLAT,      "Creates flat button"    \
        >,                                         \
        NONE,                                      \            ; style Ex names
\
        $00000000,                                 \            ; This is StyleMaskAnd
        WS_CHILD,                                  \            ; This is StyleMaskOr
        $00000000,                                 \            ; This is StyleExMaskAnd
        $00000000,                                 \            ; This is StyleExMaskOr
        $0000000f,                                 \            ; This is SubtypeMask
        <                                          \
          BS_PUSHBUTTON, 'Normal push button',     \
          BS_DEFPUSHBUTTON, 'Default push button'  \
        >,                                         \            ; This is SubtipeRange
        NONE,                                      \            ; Library file NULL, because it's standard component.
        'Button.ico',                              \            ; Image for icon
\
\ ; Checkbox control.
\
        'BUTTON',                                  \
        'Checkbox control',                        \
        'Standard',                                \
        'Checkbox',                                \
        WS_VISIBLE or BS_CHECKBOX or WS_CHILD,     \       ; default style
        $0,                                        \       ; default ex style
        80, 21,                                    \
        <                                          \       ; style names
           BS_LEFTTEXT,  "Places text on the left of the checkbox",   \
           BS_PUSHLIKE,  "Makes checkbox act like the push button",   \
           BS_MULTILINE, "Allows wrapping of the checkbox's text if necesary",   \
           BS_NOTIFY,    "Enables checkbox to send addictional notification messages",   \
           BS_FLAT,      "Creates flat checkbox"    \
        >,                                         \
        NONE,                                      \            ; style Ex names
\
        $00000000,                                 \            ; This is StyleMaskAnd
        WS_CHILD,                                  \            ; This is StyleMaskOr
        $00000000,                                 \            ; This is StyleExMaskAnd
        $00000000,                                 \            ; This is StyleExMaskOr
        $0000000f,                                 \            ; This is SubtypeMask
        <                                          \
          BS_CHECKBOX,     'User controled checkbox',    \
          BS_AUTOCHECKBOX, 'Auto checked checkbox',      \
          BS_3STATE, '3-state checked checkbox',   \
          BS_AUTO3STATE, 'Auto 3-state checkbox'       \
        >,                                         \            ; This is SubtypeRange
        NONE,                                      \            ; Library file NULL, because it's standard component.
        'CheckBox.ico',                            \            ; Image for the icon.
\
\ ; Radiobutton control.
\
        'BUTTON',                                  \
        'Radiobutton control',                     \
        'Standard',                                \
        'Radiobutton',                             \
        WS_VISIBLE or BS_RADIOBUTTON or WS_CHILD,  \       ; default style
        $0,                                        \       ; default ex style
        80, 21,                                    \
        <                                          \       ; style names
           BS_LEFTTEXT, "Places text on the left of the radiobutton",               \
           BS_PUSHLIKE,  "Makes radiobutton act like the push button",   \
           BS_MULTILINE, "Allows wrapping of the radiobutton's text if necesary",   \
           BS_NOTIFY,    "Enables radiobutton to send addictional notification messages",   \
           BS_FLAT, "Crates flat radiobutton"    \
        >,                                         \
        NONE,                                      \            ; style Ex names
\
        $00000000,                                 \            ; This is StyleMaskAnd
        WS_CHILD,                                  \            ; This is StyleMaskOr
        $00000000,                                 \            ; This is StyleExMaskAnd
        $00000000,                                 \            ; This is StyleExMaskOr
        $0000000f,                                 \            ; This is SubtypeMask
        <                                          \
           BS_RADIOBUTTON, 'Standard Radiobutton', \
           BS_AUTORADIOBUTTON, 'Auto Radiobutton'  \
        >,                                         \            ; This is SubtypeRange
        NONE,                                      \            ; Library file NULL, because it's standard component.
        'radiobtn.ico',                            \            ; Image for the icon.
\
\ ; Groupbox control.
\
        'BUTTON',                                  \
        'Group box control',                       \
        'Standard',                                \
        'Group box',                               \
        BS_MULTILINE or WS_VISIBLE or BS_GROUPBOX or WS_CLIPSIBLINGS or WS_CHILD,    \       ; default style
        $00010020,                                 \       ; default ex style
        128, 128,                                  \
        <                                          \       ; style names
           BS_LEFT,      "Places text on the left of the box'es frame",   \
           BS_RIGHT,     "Places text on the right of the box'es frame",   \
           BS_CENTER,    "Places text in the center (horizontally) of the button",   \
           BS_FLAT,      "Creates flat groupbox"    \
        >,                                         \
        NONE,                                      \            ; style Ex names
\
        $00000000,                                 \            ; This is StyleMaskAnd
        WS_CHILD,                                  \            ; This is StyleMaskOr
        $00000000,                                 \            ; This is StyleExMaskAnd
        $00010000,                                 \            ; This is StyleExMaskOr
        $0000000f,                                 \            ; This is SubtypeMask
        <BS_GROUPBOX, 'Regular group box'>,        \  ; This is SubtypeRange
        NONE,                                      \            ; Library file NONE, because it's standard component.
        'GroupBox.ico'                                          ; Image for the icon.
