; _______________________________________________________________________________________
;|                                                                                       |
;| Portable GUI application in assembler.                                                |
;|_______________________________________________________________________________________|
;
;  Description: The main file of very simple example demonstrating how to write portable
;               GUI applications using FreshLib.
;
;  Target OS: Any
;
;  Dependencies: FreshLib - see includes in the source.
;_________________________________________________________________________________________

include '%lib%/freshlib.inc'
@BinaryType GUI

include '%lib%/freshlib.asm'

options.FastEnter         = 0           ; enter/leave or push ebp/pop ebp approach to the procedures.
options.ShowSkipped       = 0           ; shows the procedures skiped because of no use.
options.ShowSizes         = 1           ; enable/disable work of DispSize macro.
options.DebugMode         = 0           ; enable/disable macroses of simpledebug library.


iglobal
  frmMainForm:
        ObjTemplate  tfParent or tfEnd, Form, frmMain, \
                     x, 100,        \
                     y, 50,         \
                     width, 320,    \
                     height, 240,   \
                     Visible, TRUE, \
                     Caption, 'FreshLib portable application.'

           ObjTemplate tfEnd, Button, btnTest,  \
                       x, 50, y, 50,            \
                       width, 128, height, 24,   \
                       Visible, TRUE,           \
                       TextAlign, dtfAlignCenter or dtfAlignMiddle, \
                       IconPosition, AlignLeft,                     \
                       OnClick, procOnClick,                        \
                       Caption, 'Do something'
endg


uglobal
  ClickCount dd ?
endg

cCaption text 'Clicked: '

proc procOnClick, .self, .button
begin
; On click handler for the button.

        inc     [ClickCount]

        stdcall NumToStr, [ClickCount], ntsDec or ntsUnsigned
        push    eax
        push    eax
        stdcall StrDup, cCaption
        stdcall StrCat, eax ; second from the stack.
        stdcall StrDel ; from the stack.
        push    eax
        stdcall Set, [btnTest], TButton.Caption, eax
        stdcall StrDel ; from the stack.

        return
endp



; Main Program
start:
        InitializeAll

        stdcall Create, CApplication
        jc      .terminate

        mov     [pApplication], ebx

        stdcall CreateFromTemplate, frmMainForm, 0
        mov     ecx, [pApplication]
        mov     [ecx+TApplication.MainWindow], frmMain

        stdcall Run

.terminate:
        push    eax
        FinalizeAll

        stdcall Terminate    ; from the stack

; end of main program

@AllImportSection
@AllDataSection

