; 
;  * $Id: XftCompat.h,v 1.4 2005/07/03 07:00:57 daniels Exp $
;  *
;  * Copyright © 2001 Keith Packard
;  *
;  * Permission to use, copy, modify, distribute, and sell this software and its
;  * documentation for any purpose is hereby granted without fee, provided that
;  * the above copyright notice appear in all copies and that both that
;  * copyright notice and this permission notice appear in supporting
;  * documentation, and that the name of Keith Packard not be used in
;  * advertising or publicity pertaining to distribution of the software without
;  * specific, written prior permission.  Keith Packard makes no
;  * representations about the suitability of this software for any purpose.  It
;  * is provided "as is" without express or implied warranty.
;  *
;  * KEITH PACKARD DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
;  * INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO
;  * EVENT SHALL KEITH PACKARD BE LIABLE FOR ANY SPECIAL, INDIRECT OR
;  * CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE,
;  * DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER
;  * TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
;  * PERFORMANCE OF THIS SOFTWARE.
;  

if ~defined  _XFTCOMPAT_H_ | defined @f
@@:
_XFTCOMPAT_H_	=	1
include	"X11/Xfuncproto.h"  


; 
;  * Compatibility definitions -- map Fc names to Xft names
;  

XftChar8	equ	 FcChar8	   
XftChar16	equ	 FcChar16   
XftChar32	equ	 FcChar32   

XFT_FAMILY	equ	FC_FAMILY
XFT_STYLE	equ	FC_STYLE
XFT_SLANT	equ	FC_SLANT
XFT_WEIGHT	equ	FC_WEIGHT
XFT_SIZE	equ	FC_SIZE
XFT_PIXEL_SIZE	equ	FC_PIXEL_SIZE
XFT_SPACING	equ	FC_SPACING
XFT_FOUNDRY	equ	FC_FOUNDRY
XFT_ANTIALIAS	equ	FC_ANTIALIAS
XFT_FILE	equ	FC_FILE
XFT_INDEX	equ	FC_INDEX
XFT_RASTERIZER	equ	FC_RASTERIZER
XFT_OUTLINE	equ	FC_OUTLINE
XFT_SCALABLE	equ	FC_SCALABLE
XFT_RGBA	equ	FC_RGBA

;  defaults from resources 
XFT_SCALE	equ	FC_SCALE
XFT_MINSPACE	equ	FC_MINSPACE
XFT_DPI	equ	FC_DPI

;  specific to FreeType rasterizer 
XFT_CHAR_WIDTH	equ	FC_CHAR_WIDTH
XFT_CHAR_HEIGHT	equ	FC_CHAR_HEIGHT
XFT_MATRIX	equ	FC_MATRIX

XFT_WEIGHT_LIGHT	equ	FC_WEIGHT_LIGHT
XFT_WEIGHT_MEDIUM	equ	FC_WEIGHT_MEDIUM
XFT_WEIGHT_DEMIBOLD	equ	FC_WEIGHT_DEMIBOLD
XFT_WEIGHT_BOLD	equ	FC_WEIGHT_BOLD
XFT_WEIGHT_BLACK	equ	FC_WEIGHT_BLACK

XFT_SLANT_ROMAN	equ	FC_SLANT_ROMAN
XFT_SLANT_ITALIC	equ	FC_SLANT_ITALIC
XFT_SLANT_OBLIQUE	equ	FC_SLANT_OBLIQUE

XFT_PROPORTIONAL	equ	FC_PROPORTIONAL
XFT_MONO	equ	FC_MONO
XFT_CHARCELL	equ	FC_CHARCELL

XFT_RGBA_UNKNOWN	equ	FC_RGBA_UNKNOWN
XFT_RGBA_RGB	equ	FC_RGBA_RGB
XFT_RGBA_BGR	equ	FC_RGBA_BGR
XFT_RGBA_VRGB	equ	FC_RGBA_VRGB
XFT_RGBA_VBGR	equ	FC_RGBA_VBGR
XFT_RGBA_NONE	equ	FC_RGBA_NONE

; 
;  * Old constants
;  
XFT_ENCODING	equ	"encoding"

XftType	equ	 FcType

XftMatrix	equ	 FcMatrix


XftResult	equ	 FcResult   

XftResultMatch	equ	FcResultMatch
XftResultNoMatch	equ	FcResultNoMatch
XftResultTypeMismatch	equ	FcResultTypeMismatch
XftResultNoId	equ	FcResultNoId

XftValue	equ	 FcValue	
XftPattern	equ	 FcPattern
XftFontSet	equ	 FcFontSet
XftObjectSet	equ	 FcObjectSet

XftGlyphExists	equ	XftCharExists

XftObjectSetCreate	equ	FcObjectSetCreate
XftObjectSetAdd	equ	FcObjectSetAdd
XftObjectSetDestroy	equ	FcObjectSetDestroy
XftObjectSetVaBuild	equ	FcObjectSetVaBuild
XftObjectSetBuild	equ	FcObjectSetBuild

XftFontSetMatch	equ	FcFontSetMatch
XftFontSetDestroy	equ	FcFontSetDestroy

XftMatrixEqual	equ	FcMatrixEqual
XftMatrixMultiply	equ	FcMatrixMultiply
XftMatrixRotate	equ	FcMatrixRotate
XftMatrixScale	equ	FcMatrixScale
XftMatrixShear	equ	FcMatrixShear

XftPatternCreate	equ	FcPatternCreate
XftPatternDuplicate	equ	FcPatternDuplicate
XftValueDestroy	equ	FcValueDestroy
XftValueListDestroy	equ	FcValueListDestroy
XftPatternDestroy	equ	FcPatternDestroy
XftPatternFind	equ	FcPatternFind
XftPatternAdd	equ	FcPatternAdd
XftPatternGet	equ	FcPatternGet
XftPatternDel	equ	FcPatternDel
XftPatternAddInteger	equ	FcPatternAddInteger
XftPatternAddDouble	equ	FcPatternAddDouble
XftPatternAddMatrix	equ	FcPatternAddMatrix
XftPatternAddBool	equ	FcPatternAddBool
XftPatternGetInteger	equ	FcPatternGetInteger
XftPatternGetDouble	equ	FcPatternGetDouble
XftPatternGetMatrix	equ	FcPatternGetMatrix
XftPatternGetBool	equ	FcPatternGetBool
XftPatternVaBuild	equ	FcPatternVaBuild
XftPatternBuild	equ	FcPatternBuild

XftUtf8ToUcs	=	4
		FcUtf8ToUcs4
XftUtf	=	8
Len		FcUtf8Len

XftTypeVoid	equ	FcTypeVoid
XftTypeInteger	equ	FcTypeInteger
XftTypeDouble	equ	FcTypeDouble
XftTypeString	equ	FcTypeString
XftTypeBool	equ	FcTypeBool
XftTypeMatrix	equ	FcTypeMatrix





end if
