; _______________________________________________________________________________________
;|                                                                                       |
;| ..::FreshLib::..  Free, open source. Licensed under "BSD 2-clause" license."          |
;|_______________________________________________________________________________________|
;
;  Description: kernel32.dll API calls
;
;  Target OS: Win32
;
;  Dependencies:
;
;  Notes:
;_________________________________________________________________________________________


import_proto kernel32,  \
    ActivateActCtx, <NONE>,  'ActivateActCtx',  \
    AddAtomA, <.lpString>,  'AddAtomA',  \
    AddAtomW, <.lpString>,  'AddAtomW',  \
    AddConsoleAliasA, <NONE>,  'AddConsoleAliasA',  \
    AddConsoleAliasW, <NONE>,  'AddConsoleAliasW',  \
    AddLocalAlternateComputerNameA, <NONE>,  'AddLocalAlternateComputerNameA',  \
    AddLocalAlternateComputerNameW, <NONE>,  'AddLocalAlternateComputerNameW',  \
    AddRefActCtx, <NONE>,  'AddRefActCtx',  \
    AddVectoredExceptionHandler, <NONE>,  'AddVectoredExceptionHandler',  \
    AllocConsole, <VOID>,  'AllocConsole',  \
    AllocateUserPhysicalPages, <.hProcess, .NumberOfPages, .PageArray>,  'AllocateUserPhysicalPages',  \
    AreFileApisANSI, <VOID>,  'AreFileApisANSI',  \
    AssignProcessToJobObject, <.hJob, .hProcess>,  'AssignProcessToJobObject',  \
    AttachConsole, <NONE>,  'AttachConsole',  \
    BackupRead, <.hFile, .lpBuffer, .nNumberOfBytesToRead, .lpNumberOfBytesRead, .bAbort, .bProcessSecurity, .lpContext>,  'BackupRead',  \
    BackupSeek, <.hFile, .dwLowBytesToSeek, .dwHighBytesToSeek, .lpdwLowByteSeeked, .lpdwHighByteSeeked, .lpContext>,  'BackupSeek',  \
    BackupWrite, <.hFile, .lpBuffer, .nNumberOfBytesToWrite, .lpNumberOfBytesWritten, .bAbort, .bProcessSecurity, .lpContext>,  'BackupWrite',  \
    BaseCheckAppcompatCache, <NONE>,  'BaseCheckAppcompatCache',  \
    BaseCleanupAppcompatCache, <NONE>,  'BaseCleanupAppcompatCache',  \
    BaseCleanupAppcompatCacheSupport, <NONE>,  'BaseCleanupAppcompatCacheSupport',  \
    BaseDumpAppcompatCache, <NONE>,  'BaseDumpAppcompatCache',  \
    BaseFlushAppcompatCache, <NONE>,  'BaseFlushAppcompatCache',  \
    BaseInitAppcompatCache, <NONE>,  'BaseInitAppcompatCache',  \
    BaseInitAppcompatCacheSupport, <NONE>,  'BaseInitAppcompatCacheSupport',  \
    BaseProcessInitPostImport, <NONE>,  'BaseProcessInitPostImport',  \
    BaseQueryModuleData, <NONE>,  'BaseQueryModuleData',  \
    BaseUpdateAppcompatCache, <NONE>,  'BaseUpdateAppcompatCache',  \
    BasepCheckWinSaferRestrictions, <NONE>,  'BasepCheckWinSaferRestrictions',  \
    Beep, <.dwFreq, .dwDuration>,  'Beep',  \
    BeginUpdateResourceA, <.pFileName, .bDeleteExistingResources>,  'BeginUpdateResourceA',  \
    BeginUpdateResourceW, <.pFileName, .bDeleteExistingResources>,  'BeginUpdateResourceW',  \
    BindIoCompletionCallback, <.FileHandle, .lFunction, .Flags>,  'BindIoCompletionCallback',  \
    BuildCommDCBA, <.lpDef, .lpDCB>,  'BuildCommDCBA',  \
    BuildCommDCBAndTimeoutsA, <.lpDef, .lpDCB, .lpCommTimeouts>,  'BuildCommDCBAndTimeoutsA',  \
    BuildCommDCBAndTimeoutsW, <.lpDef, .lpDCB, .lpCommTimeouts>,  'BuildCommDCBAndTimeoutsW',  \
    BuildCommDCBW, <.lpDef, .lpDCB>,  'BuildCommDCBW',  \
    CallNamedPipeA, <.lpNamedPipeName, .lpInBuffer, .nInBufferSize, .lpOutBuffer, .nOutBufferSize, .lpBytesRead, .nTimeOut>,  'CallNamedPipeA',  \
    CallNamedPipeW, <.lpNamedPipeName, .lpInBuffer, .nInBufferSize, .lpOutBuffer, .nOutBufferSize, .lpBytesRead, .nTimeOut>,  'CallNamedPipeW',  \
    CancelDeviceWakeupRequest, <.hDevice>,  'CancelDeviceWakeupRequest',  \
    CancelIo, <.hFile>,  'CancelIo',  \
    CancelTimerQueueTimer, <.TimerQueue, .Timer>,  'CancelTimerQueueTimer',  \
    CancelWaitableTimer, <.hTimer>,  'CancelWaitableTimer',  \
    ChangeTimerQueueTimer, <.TimerQueue, .Timer, .DueTime, .Period>,  'ChangeTimerQueueTimer',  \
    CheckNameLegalDOS8Dot3A, <NONE>,  'CheckNameLegalDOS8Dot3A',  \
    CheckNameLegalDOS8Dot3W, <NONE>,  'CheckNameLegalDOS8Dot3W',  \
    CheckRemoteDebuggerPresent, <NONE>,  'CheckRemoteDebuggerPresent',  \
    ClearCommBreak, <.nCid>,  'ClearCommBreak',  \
    ClearCommError, <.hFile, .lpErrors, .lpStat>,  'ClearCommError',  \
    CloseConsoleHandle, <NONE>,  'CloseConsoleHandle',  \
    CloseHandle, <.hObject>,  'CloseHandle',  \
    CloseProfileUserMapping, <NONE>,  'CloseProfileUserMapping',  \
    CmdBatNotification, <NONE>,  'CmdBatNotification',  \
    CommConfigDialogA, <.lpszName, .hWnd, .lpCC>,  'CommConfigDialogA',  \
    CommConfigDialogW, <.lpszName, .hWnd, .lpCC>,  'CommConfigDialogW',  \
    CompareFileTime, <.lpFileTime1, .lpFileTime2>,  'CompareFileTime',  \
    CompareStringA, <.Locale, .dwCmpFlags, .lpString1, .cchCount1, .lpString2, .cchCount2>,  'CompareStringA',  \
    CompareStringW, <.Locale, .dwCmpFlags, .lpString1, .cchCount1, .lpString2, .cchCount2>,  'CompareStringW',  \
    ConnectNamedPipe, <.hNamedPipe, .lpOverlapped>,  'ConnectNamedPipe',  \
    ConsoleMenuControl, <NONE>,  'ConsoleMenuControl',  \
    ContinueDebugEvent, <.dwProcessId, .dwThreadId, .dwContinueStatus>,  'ContinueDebugEvent',  \
    ConvertDefaultLocale, <.Locale>,  'ConvertDefaultLocale',  \
    ConvertFiberToThread, <NONE>,  'ConvertFiberToThread',  \
    ConvertThreadToFiber, <.lpParameter>,  'ConvertThreadToFiber',  \
    CopyFileA, <.lpExistingFileName, .lpNewFileName, .bFailIfExists>,  'CopyFileA',  \
    CopyFileExA, <.lpExistingFileName, .lpNewFileName, .lpProgressRoutine, .lpData, .pbCancel, .dwCopyFlags>,  'CopyFileExA',  \
    CopyFileExW, <.lpExistingFileName, .lpNewFileName, .lpProgressRoutine, .lpData, .pbCancel, .dwCopyFlags>,  'CopyFileExW',  \
    CopyFileW, <.lpExistingFileName, .lpNewFileName, .bFailIfExists>,  'CopyFileW',  \
    CopyLZFile, <.n1, .n2>,  'CopyLZFile',  \
    CreateActCtxA, <NONE>,  'CreateActCtxA',  \
    CreateActCtxW, <NONE>,  'CreateActCtxW',  \
    CreateConsoleScreenBuffer, <.dwDesiredAccess, .dwShareMode, .lpSecurityAttributes, .dwFlags, .lpScreenBufferData>,  'CreateConsoleScreenBuffer',  \
    CreateDirectoryA, <.lpPathName, .lpSecurityAttributes>,  'CreateDirectoryA',  \
    CreateDirectoryExA, <.lpTemplateDirectory, .lpNewDirectory, .lpSecurityAttributes>,  'CreateDirectoryExA',  \
    CreateDirectoryExW, <.lpTemplateDirectory, .lpNewDirectory, .lpSecurityAttributes>,  'CreateDirectoryExW',  \
    CreateDirectoryW, <.lpPathName, .lpSecurityAttributes>,  'CreateDirectoryW',  \
    CreateEventA, <.lpEventAttributes, .bManualReset, .bInitialState, .lpName>,  'CreateEventA',  \
    CreateEventW, <.lpEventAttributes, .bManualReset, .bInitialState, .lpName>,  'CreateEventW',  \
    CreateFiber, <.dwStackSize, .lpStartAddress, .lpParameter>,  'CreateFiber',  \
    CreateFiberEx, <NONE>,  'CreateFiberEx',  \
    CreateFileA, <.lpFileName, .dwDesiredAccess, .dwShareMode, .lpSecurityAttributes, .dwCreationDisposition, .dwFlagsAndAttributes,  \
        .hTemplateFile>,  'CreateFileA',  \
    CreateFileMappingA, <.hFile, .lpFileMappigAttributes, .flProtect, .dwMaximumSizeHigh, .dwMaximumSizeLow, .lpName>,  'CreateFileMappingA',  \
    CreateFileMappingW, <.hFile, .lpFileMappigAttributes, .flProtect, .dwMaximumSizeHigh, .dwMaximumSizeLow, .lpName>,  'CreateFileMappingW',  \
    CreateFileW, <.lpFileName, .dwDesiredAccess, .dwShareMode, .lpSecurityAttributes, .dwCreationDisposition, .dwFlagsAndAttributes,  \
        .hTemplateFile>,  'CreateFileW',  \
    CreateHardLinkA, <.lpFileName, .lpExistingFileName, .lpSecurityAttributes>,  'CreateHardLinkA',  \
    CreateHardLinkW, <.lpFileName, .lpExistingFileName, .lpSecurityAttributes>,  'CreateHardLinkW',  \
    CreateIoCompletionPort, <.FileHandle, .ExistingCompletionPort, .CompletionKey, .NumberOfConcurrentThreads>,  'CreateIoCompletionPort',  \
    CreateJobObjectA, <.lpJobAttributes, .lpName>,  'CreateJobObjectA',  \
    CreateJobObjectW, <.lpJobAttributes, .lpName>,  'CreateJobObjectW',  \
    CreateJobSet, <NONE>,  'CreateJobSet',  \
    CreateMailslotA, <.lpName, .nMaxMessageSize, .lReadTimeout, .lpSecurityAttributes>,  'CreateMailslotA',  \
    CreateMailslotW, <.lpName, .nMaxMessageSize, .lReadTimeout, .lpSecurityAttributes>,  'CreateMailslotW',  \
    CreateMemoryResourceNotification, <NONE>,  'CreateMemoryResourceNotification',  \
    CreateMutexA, <.lpMutexAttributes, .bInitialOwner, .lpName>,  'CreateMutexA',  \
    CreateMutexW, <.lpMutexAttributes, .bInitialOwner, .lpName>,  'CreateMutexW',  \
    CreateNamedPipeA, <.lpName, .dwOpenMode, .dwPipeMode, .nMaxInstances, .nOutBufferSize, .nInBufferSize, .nDefaultTimeOut, .lpSecurityAttributes,  \
      >,  'CreateNamedPipeA',  \
    CreateNamedPipeW, <.lpName, .dwOpenMode, .dwPipeMode, .nMaxInstances, .nOutBufferSize, .nInBufferSize, .nDefaultTimeOut, .lpSecurityAttributes,  \
      >,  'CreateNamedPipeW',  \
    CreateNlsSecurityDescriptor, <NONE>,  'CreateNlsSecurityDescriptor',  \
    CreatePipe, <.phReadPipe, .phWritePipe, .lpPipeAttributes, .nSize>,  'CreatePipe',  \
    CreateProcessA, <.lpApplicationName, .lpCommandLine, .lpProcessAttributes, .lpThreadAttributes, .bInheritHandles, .dwCreationFlags,  \
        .lpEnvironment, .lpCurrentDriectory, .lpStartupInfo, .lpProcessInformation>,  'CreateProcessA',  \
    CreateProcessInternalA, <NONE>,  'CreateProcessInternalA',  \
    CreateProcessInternalW, <NONE>,  'CreateProcessInternalW',  \
    CreateProcessInternalWSecure, <NONE>,  'CreateProcessInternalWSecure',  \
    CreateProcessW, <.lpApplicationName, .lpCommandLine, .lpProcessAttributes, .lpThreadAttributes, .bInheritHandles, .dwCreationFlags,  \
        .lpEnvironment, .lpCurrentDriectory, .lpStartupInfo, .lpProcessInformation>,  'CreateProcessW',  \
    CreateRemoteThread, <.hProcess, .lpThreadAttributes, .dwStackSize, .lpStartAddress, .lpParameter, .dwCreationFlags, .lpThreadId,  \
      >,  'CreateRemoteThread',  \
    CreateSemaphoreA, <.lpSemaphoreAttributes, .lInitialCount, .lMaximumCount, .lpName>,  'CreateSemaphoreA',  \
    CreateSemaphoreW, <.lpSemaphoreAttributes, .lInitialCount, .lMaximumCount, .lpName>,  'CreateSemaphoreW',  \
    CreateSocketHandle, <NONE>,  'CreateSocketHandle',  \
    CreateTapePartition, <.hDevice, .dwPartitionMethod, .dwCount, .dwSize>,  'CreateTapePartition',  \
    CreateThread, <.lpThreadAttributes, .dwStackSize, .lpStartAddress, .lpParameter, .dwCreationFlags, .lpThreadId>,  'CreateThread',  \
    CreateTimerQueue, <VOID>,  'CreateTimerQueue',  \
    CreateTimerQueueTimer, <NONE>,  'CreateTimerQueueTimer',  \
    CreateToolhelp32Snapshot, <.dwFlags, .th32ProcessID>,  'CreateToolhelp32Snapshot',  \
    CreateVirtualBuffer, <NONE>,  'CreateVirtualBuffer',  \
    CreateWaitableTimerA, <.lpTimerAttributes, .bManualReset, .lpTimerName>,  'CreateWaitableTimerA',  \
    CreateWaitableTimerW, <.lpTimerAttributes, .bManualReset, .lpTimerName>,  'CreateWaitableTimerW',  \
    DeactivateActCtx, <NONE>,  'DeactivateActCtx',  \
    DebugActiveProcess, <.dwProcessId>,  'DebugActiveProcess',  \
    DebugActiveProcessStop, <NONE>,  'DebugActiveProcessStop',  \
    DebugBreak, <VOID>,  'DebugBreak',  \
    DebugBreakProcess, <NONE>,  'DebugBreakProcess',  \
    DebugSetProcessKillOnExit, <NONE>,  'DebugSetProcessKillOnExit',  \
    DecodePointer, <NONE>,  'DecodePointer',  \
    DecodeSystemPointer, <NONE>,  'DecodeSystemPointer',  \
    DefineDosDeviceA, <.dwFlags, .lpDeviceName, .lpTargetPath>,  'DefineDosDeviceA',  \
    DefineDosDeviceW, <.dwFlags, .lpDeviceName, .lpTargetPath>,  'DefineDosDeviceW',  \
    DelayLoadFailureHook, <NONE>,  'DelayLoadFailureHook',  \
    DeleteAtom, <.nAtom>,  'DeleteAtom',  \
    DeleteCriticalSection, <.lpCriticalSection>,  'DeleteCriticalSection',  \
    DeleteFiber, <.lpFiber>,  'DeleteFiber',  \
    DeleteFileA, <.lpFileName>,  'DeleteFileA',  \
    DeleteFileW, <.lpFileName>,  'DeleteFileW',  \
    DeleteTimerQueue, <.TimerQueue>,  'DeleteTimerQueue',  \
    DeleteTimerQueueEx, <.TimerQueue, .CompletionEvent>,  'DeleteTimerQueueEx',  \
    DeleteTimerQueueTimer, <.TimerQueue, .Timer, .CompletionEvent>,  'DeleteTimerQueueTimer',  \
    DeleteVolumeMountPointA, <.lpszVolumeMountPoint>,  'DeleteVolumeMountPointA',  \
    DeleteVolumeMountPointW, <.lpszVolumeMountPoint>,  'DeleteVolumeMountPointW',  \
    DeviceIoControl, <.hDevice, .dwIoControlCode, .lpInBuffer, .nInBufferSize, .lpOutBuffer, .nOutBufferSize, .lpBytesReturned, .lpOverlapped,  \
      >,  'DeviceIoControl',  \
    DisableThreadLibraryCalls, <.hLibModule>,  'DisableThreadLibraryCalls',  \
    DisconnectNamedPipe, <.hNamedPipe>,  'DisconnectNamedPipe',  \
    DnsHostnameToComputerNameA, <.Hostname, .ComputerName, .nSize>,  'DnsHostnameToComputerNameA',  \
    DnsHostnameToComputerNameW, <.Hostname, .ComputerName, .nSize>,  'DnsHostnameToComputerNameW',  \
    DosDateTimeToFileTime, <.wFatDate, .wFatTime, .lpFileTime>,  'DosDateTimeToFileTime',  \
    DosPathToSessionPathA, <.SessionId, .pInPath, .ppOutPath>,  'DosPathToSessionPathA',  \
    DosPathToSessionPathW, <.SessionId, .pInPath, .ppOutPath>,  'DosPathToSessionPathW',  \
    DuplicateConsoleHandle, <NONE>,  'DuplicateConsoleHandle',  \
    DuplicateHandle, <.hSourceProcessHandle, .hSourceHandle, .hTargetProcessHandle, .lpTargetHandle, .dwDesiredAccess, .bInheritHandle,  \
        .dwOptions>,  'DuplicateHandle',  \
    EncodePointer, <NONE>,  'EncodePointer',  \
    EncodeSystemPointer, <NONE>,  'EncodeSystemPointer',  \
    EndUpdateResourceA, <.hUpdate, .fDiscard>,  'EndUpdateResourceA',  \
    EndUpdateResourceW, <.hUpdate, .fDiscard>,  'EndUpdateResourceW',  \
    EnterCriticalSection, <.lpCriticalSection>,  'EnterCriticalSection',  \
    EnumCalendarInfoA, <.lpCalInfoEnumProc, .Locale, .Calendar, .CalType>,  'EnumCalendarInfoA',  \
    EnumCalendarInfoExA, <.lpCalInfoEnumProcEx, .Locale, .Calendar, .CalType>,  'EnumCalendarInfoExA',  \
    EnumCalendarInfoExW, <.lpCalInfoEnumProcEx, .Locale, .Calendar, .CalType>,  'EnumCalendarInfoExW',  \
    EnumCalendarInfoW, <.lpCalInfoEnumProc, .Locale, .Calendar, .CalType>,  'EnumCalendarInfoW',  \
    EnumDateFormatsA, <.lpDateFmtEnumProc, .Locale, .dwFlags>,  'EnumDateFormatsA',  \
    EnumDateFormatsExA, <.lpDateFmtEnumProcEx, .Locale, .dwFlags>,  'EnumDateFormatsExA',  \
    EnumDateFormatsExW, <.lpDateFmtEnumProcEx, .Locale, .dwFlags>,  'EnumDateFormatsExW',  \
    EnumDateFormatsW, <.lpDateFmtEnumProc, .Locale, .dwFlags>,  'EnumDateFormatsW',  \
    EnumLanguageGroupLocalesA, <.lpLangGroupLocaleEnumProc, .LanguageGroup, .dwFlags, .lParam>,  'EnumLanguageGroupLocalesA',  \
    EnumLanguageGroupLocalesW, <.lpLangGroupLocaleEnumProc, .LanguageGroup, .dwFlags, .lParam>,  'EnumLanguageGroupLocalesW',  \
    EnumResourceLanguagesA, <.hModule, .lpType, .lpName, .lpEnumFunc, .lParam>,  'EnumResourceLanguagesA',  \
    EnumResourceLanguagesW, <.hModule, .lpType, .lpName, .lpEnumFunc, .lParam>,  'EnumResourceLanguagesW',  \
    EnumResourceNamesA, <.hModule, .lpType, .lpEnumFunc, .lParam>,  'EnumResourceNamesA',  \
    EnumResourceNamesW, <.hModule, .lpType, .lpEnumFunc, .lParam>,  'EnumResourceNamesW',  \
    EnumResourceTypesA, <.hModule, .lpEnumFunc, .lParam>,  'EnumResourceTypesA',  \
    EnumResourceTypesW, <.hModule, .lpEnumFunc, .lParam>,  'EnumResourceTypesW',  \
    EnumSystemCodePagesA, <.lpCodePageEnumProc, .dwFlags>,  'EnumSystemCodePagesA',  \
    EnumSystemCodePagesW, <.lpCodePageEnumProc, .dwFlags>,  'EnumSystemCodePagesW',  \
    EnumSystemGeoID, <NONE>,  'EnumSystemGeoID',  \
    EnumSystemLanguageGroupsA, <.lpLanguageGroupEnumProc, .dwFlags, .lParam>,  'EnumSystemLanguageGroupsA',  \
    EnumSystemLanguageGroupsW, <.lpLanguageGroupEnumProc, .dwFlags, .lParam>,  'EnumSystemLanguageGroupsW',  \
    EnumSystemLocalesA, <.lpLocaleEnumProc, .dwFlags>,  'EnumSystemLocalesA',  \
    EnumSystemLocalesW, <.lpLocaleEnumProc, .dwFlags>,  'EnumSystemLocalesW',  \
    EnumTimeFormatsA, <.lpTimeFmtEnumProc, .Locale, .dwFlags>,  'EnumTimeFormatsA',  \
    EnumTimeFormatsW, <.lpTimeFmtEnumProc, .Locale, .dwFlags>,  'EnumTimeFormatsW',  \
    EnumUILanguagesA, <.lpUILanguageEnumProc, .dwFlags, .lParam>,  'EnumUILanguagesA',  \
    EnumUILanguagesW, <.lpUILanguageEnumProc, .dwFlags, .lParam>,  'EnumUILanguagesW',  \
    EnumerateLocalComputerNamesA, <NONE>,  'EnumerateLocalComputerNamesA',  \
    EnumerateLocalComputerNamesW, <NONE>,  'EnumerateLocalComputerNamesW',  \
    EraseTape, <.hDevice, .dwEraseType, .bimmediate>,  'EraseTape',  \
    EscapeCommFunction, <.nCid, .nFunc>,  'EscapeCommFunction',  \
    ExitProcess, <.uExitCode>,  'ExitProcess',  \
    ExitThread, <.dwExitCode>,  'ExitThread',  \
    ExitVDM, <NONE>,  'ExitVDM',  \
    ExpandEnvironmentStringsA, <.lpSrc, .lpDst, .nSize>,  'ExpandEnvironmentStringsA',  \
    ExpandEnvironmentStringsW, <.lpSrc, .lpDst, .nSize>,  'ExpandEnvironmentStringsW',  \
    ExpungeConsoleCommandHistoryA, <NONE>,  'ExpungeConsoleCommandHistoryA',  \
    ExpungeConsoleCommandHistoryW, <NONE>,  'ExpungeConsoleCommandHistoryW',  \
    ExtendVirtualBuffer, <NONE>,  'ExtendVirtualBuffer',  \
    FatalAppExitA, <.uAction, .lpMessageText>,  'FatalAppExitA',  \
    FatalAppExitW, <.uAction, .lpMessageText>,  'FatalAppExitW',  \
    FatalExit, <.code>,  'FatalExit',  \
    FileTimeToDosDateTime, <.lpFileTime, .lpFatDate, .lpFatTime>,  'FileTimeToDosDateTime',  \
    FileTimeToLocalFileTime, <.lpFileTime, .lpLocalFileTime>,  'FileTimeToLocalFileTime',  \
    FileTimeToSystemTime, <.lpFileTime, .lpSystemTime>,  'FileTimeToSystemTime',  \
    FillConsoleOutputAttribute, <.hConsoleOutput, .wAttribute, .nLength, .dwWriteCoord, .lpNumberOfAttrsWritten>,  'FillConsoleOutputAttribute',  \
    FillConsoleOutputCharacterA, <.hConsoleOutput, .cCharacter, .nLength, .dwWriteCoord, .lpNumberOfCharsWritten>,  'FillConsoleOutputCharacterA',  \
    FillConsoleOutputCharacterW, <.hConsoleOutput, .cCharacter, .nLength, .dwWriteCoord, .lpNumberOfCharsWritten>,  'FillConsoleOutputCharacterW',  \
    FindActCtxSectionGuid, <NONE>,  'FindActCtxSectionGuid',  \
    FindActCtxSectionStringA, <NONE>,  'FindActCtxSectionStringA',  \
    FindActCtxSectionStringW, <NONE>,  'FindActCtxSectionStringW',  \
    FindAtomA, <.lpString>,  'FindAtomA',  \
    FindAtomW, <.lpString>,  'FindAtomW',  \
    FindClose, <.hFindFile>,  'FindClose',  \
    FindCloseChangeNotification, <.hChangeHandle>,  'FindCloseChangeNotification',  \
    FindFirstChangeNotificationA, <.lpPathName, .bWatchSubtree, .dwNotifyFilter>,  'FindFirstChangeNotificationA',  \
    FindFirstChangeNotificationW, <.lpPathName, .bWatchSubtree, .dwNotifyFilter>,  'FindFirstChangeNotificationW',  \
    FindFirstFileA, <.lpFileName, .lpFindFileData>,  'FindFirstFileA',  \
    FindFirstFileExA, <.lpFileName, .fInfoLevelId, .lpFindFileData, .fSearchOp, .lpSearchFilter, .dwAdditionalFlags>,  'FindFirstFileExA',  \
    FindFirstFileExW, <.lpFileName, .fInfoLevelId, .lpFindFileData, .fSearchOp, .lpSearchFilter, .dwAdditionalFlags>,  'FindFirstFileExW',  \
    FindFirstFileW, <.lpFileName, .lpFindFileData>,  'FindFirstFileW',  \
    FindFirstVolumeA, <.lpszVolumeName, .cchBufferLength>,  'FindFirstVolumeA',  \
    FindFirstVolumeMountPointA, <.lpszRootPathName, .lpszVolumeMountPoint, .cchBufferLength>,  'FindFirstVolumeMountPointA',  \
    FindFirstVolumeMountPointW, <.lpszRootPathName, .lpszVolumeMountPoint, .cchBufferLength>,  'FindFirstVolumeMountPointW',  \
    FindFirstVolumeW, <.lpszVolumeName, .cchBufferLength>,  'FindFirstVolumeW',  \
    FindNextChangeNotification, <.hChangeHandle>,  'FindNextChangeNotification',  \
    FindNextFileA, <.hFindFile, .lpFindFileData>,  'FindNextFileA',  \
    FindNextFileW, <.hFindFile, .lpFindFileData>,  'FindNextFileW',  \
    FindNextVolumeA, <.hFindVolume, .lpszVolumeName, .cchBufferLength>,  'FindNextVolumeA',  \
    FindNextVolumeMountPointA, <.hFindVolumeMountPoint, .lpszVolumeMountPoint, .cchBufferLength>,  'FindNextVolumeMountPointA',  \
    FindNextVolumeMountPointW, <.hFindVolumeMountPoint, .lpszVolumeMountPoint, .cchBufferLength>,  'FindNextVolumeMountPointW',  \
    FindNextVolumeW, <.hFindVolume, .lpszVolumeName, .cchBufferLength>,  'FindNextVolumeW',  \
    FindResourceA, <.hInstance, .lpName, .lpType>,  'FindResourceA',  \
    FindResourceExA, <.hModule, .lpType, .lpName, .wLanguage>,  'FindResourceExA',  \
    FindResourceExW, <.hModule, .lpType, .lpName, .wLanguage>,  'FindResourceExW',  \
    FindResourceW, <.hInstance, .lpName, .lpType>,  'FindResourceW',  \
    FindVolumeClose, <.hFindVolume>,  'FindVolumeClose',  \
    FindVolumeMountPointClose, <.hFindVolumeMountPoint>,  'FindVolumeMountPointClose',  \
    FlushConsoleInputBuffer, <.hConsoleInput>,  'FlushConsoleInputBuffer',  \
    FlushFileBuffers, <.hFile>,  'FlushFileBuffers',  \
    FlushInstructionCache, <.hProcess, .lpBaseAddress, .dwSize>,  'FlushInstructionCache',  \
    FlushViewOfFile, <.lpBaseAddress, .dwNumberOfBytesToFlush>,  'FlushViewOfFile',  \
    FoldStringA, <.dwMapFlags, .lpSrcStr, .cchSrc, .lpDestStr, .cchDest>,  'FoldStringA',  \
    FoldStringW, <.dwMapFlags, .lpSrcStr, .cchSrc, .lpDestStr, .cchDest>,  'FoldStringW',  \
    FormatMessageA, <.dwFlags, .lpSource, .dwMessageId, .dwLanguageId, .lpBuffer, .nSize, .Arguments>,  'FormatMessageA',  \
    FormatMessageW, <.dwFlags, .lpSource, .dwMessageId, .dwLanguageId, .lpBuffer, .nSize, .Arguments>,  'FormatMessageW',  \
    FreeConsole, <VOID>,  'FreeConsole',  \
    FreeEnvironmentStringsA, <.lpsz>,  'FreeEnvironmentStringsA',  \
    FreeEnvironmentStringsW, <.lpsz>,  'FreeEnvironmentStringsW',  \
    FreeLibrary, <.hLibModule>,  'FreeLibrary',  \
    FreeLibraryAndExitThread, <.hLibModule, .dwExitCode>,  'FreeLibraryAndExitThread',  \
    FreeResource, <.hResData>,  'FreeResource',  \
    FreeUserPhysicalPages, <.hProcess, .NumberOfPages, .PageArray>,  'FreeUserPhysicalPages',  \
    FreeVirtualBuffer, <NONE>,  'FreeVirtualBuffer',  \
    GenerateConsoleCtrlEvent, <.dwCtrlEvent, .dwProcessGroupId>,  'GenerateConsoleCtrlEvent',  \
    GetACP, <VOID>,  'GetACP',  \
    GetAtomNameA, <.nAtom, .lpBuffer, .nSize>,  'GetAtomNameA',  \
    GetAtomNameW, <.nAtom, .lpBuffer, .nSize>,  'GetAtomNameW',  \
    GetBinaryType, <.lpApplicationName, .lpBinaryType>,  'GetBinaryType',  \
    GetBinaryTypeA, <.lpApplicationName, .lpBinaryType>,  'GetBinaryTypeA',  \
    GetBinaryTypeW, <.lpApplicationName, .lpBinaryType>,  'GetBinaryTypeW',  \
    GetCPFileNameFromRegistry, <NONE>,  'GetCPFileNameFromRegistry',  \
    GetCPInfo, <.CodePage, .lpCPInfo>,  'GetCPInfo',  \
    GetCPInfoExA, <.CodePage, .dwFlags, .lpCPInfoEx>,  'GetCPInfoExA',  \
    GetCPInfoExW, <.CodePage, .dwFlags, .lpCPInfoEx>,  'GetCPInfoExW',  \
    GetCalendarInfoA, <.Locale, .Calendar, .CalType, .lpCalData, .cchData, .lpValue>,  'GetCalendarInfoA',  \
    GetCalendarInfoW, <.Locale, .Calendar, .CalType, .lpCalData, .cchData, .lpValue>,  'GetCalendarInfoW',  \
    GetComPlusPackageInstallStatus, <NONE>,  'GetComPlusPackageInstallStatus',  \
    GetCommConfig, <.hCommDev, .lpCC, .lpdwSize>,  'GetCommConfig',  \
    GetCommMask, <.hFile, .lpEvtMask>,  'GetCommMask',  \
    GetCommModemStatus, <.hFile, .lpModemStat>,  'GetCommModemStatus',  \
    GetCommProperties, <.hFile, .lpCommProp>,  'GetCommProperties',  \
    GetCommState, <.nCid, .lpDCB>,  'GetCommState',  \
    GetCommTimeouts, <.hFile, .lpCommTimeouts>,  'GetCommTimeouts',  \
    GetCommandLineA, <VOID>,  'GetCommandLineA',  \
    GetCommandLineW, <VOID>,  'GetCommandLineW',  \
    GetCompressedFileSizeA, <.lpFileName, .lpFileSizeHigh>,  'GetCompressedFileSizeA',  \
    GetCompressedFileSizeW, <.lpFileName, .lpFileSizeHigh>,  'GetCompressedFileSizeW',  \
    GetComputerNameA, <.lpBuffer, .nSize>,  'GetComputerNameA',  \
    GetComputerNameExA, <.NameType, .lpBuffer, .nSize>,  'GetComputerNameExA',  \
    GetComputerNameExW, <.NameType, .lpBuffer, .nSize>,  'GetComputerNameExW',  \
    GetComputerNameW, <.lpBuffer, .nSize>,  'GetComputerNameW',  \
    GetConsoleAliasA, <NONE>,  'GetConsoleAliasA',  \
    GetConsoleAliasExesA, <NONE>,  'GetConsoleAliasExesA',  \
    GetConsoleAliasExesLengthA, <NONE>,  'GetConsoleAliasExesLengthA',  \
    GetConsoleAliasExesLengthW, <NONE>,  'GetConsoleAliasExesLengthW',  \
    GetConsoleAliasExesW, <NONE>,  'GetConsoleAliasExesW',  \
    GetConsoleAliasW, <NONE>,  'GetConsoleAliasW',  \
    GetConsoleAliasesA, <NONE>,  'GetConsoleAliasesA',  \
    GetConsoleAliasesLengthA, <NONE>,  'GetConsoleAliasesLengthA',  \
    GetConsoleAliasesLengthW, <NONE>,  'GetConsoleAliasesLengthW',  \
    GetConsoleAliasesW, <NONE>,  'GetConsoleAliasesW',  \
    GetConsoleCP, <VOID>,  'GetConsoleCP',  \
    GetConsoleCharType, <NONE>,  'GetConsoleCharType',  \
    GetConsoleCommandHistoryA, <NONE>,  'GetConsoleCommandHistoryA',  \
    GetConsoleCommandHistoryLengthA, <NONE>,  'GetConsoleCommandHistoryLengthA',  \
    GetConsoleCommandHistoryLengthW, <NONE>,  'GetConsoleCommandHistoryLengthW',  \
    GetConsoleCommandHistoryW, <NONE>,  'GetConsoleCommandHistoryW',  \
    GetConsoleCursorInfo, <.hConsoleOutput, .lpConsoleCursorInfo>,  'GetConsoleCursorInfo',  \
    GetConsoleCursorMode, <NONE>,  'GetConsoleCursorMode',  \
    GetConsoleDisplayMode, <NONE>,  'GetConsoleDisplayMode',  \
    GetConsoleFontInfo, <NONE>,  'GetConsoleFontInfo',  \
    GetConsoleFontSize, <NONE>,  'GetConsoleFontSize',  \
    GetConsoleHardwareState, <NONE>,  'GetConsoleHardwareState',  \
    GetConsoleInputExeNameA, <NONE>,  'GetConsoleInputExeNameA',  \
    GetConsoleInputExeNameW, <NONE>,  'GetConsoleInputExeNameW',  \
    GetConsoleInputWaitHandle, <NONE>,  'GetConsoleInputWaitHandle',  \
    GetConsoleKeyboardLayoutNameA, <NONE>,  'GetConsoleKeyboardLayoutNameA',  \
    GetConsoleKeyboardLayoutNameW, <NONE>,  'GetConsoleKeyboardLayoutNameW',  \
    GetConsoleMode, <.hConsoleHandle, .lpMode>,  'GetConsoleMode',  \
    GetConsoleNlsMode, <NONE>,  'GetConsoleNlsMode',  \
    GetConsoleOutputCP, <VOID>,  'GetConsoleOutputCP',  \
    GetConsoleProcessList, <NONE>,  'GetConsoleProcessList',  \
    GetConsoleScreenBufferInfo, <.hConsoleOutput, .lpConsoleScreenBufferInfo>,  'GetConsoleScreenBufferInfo',  \
    GetConsoleSelectionInfo, <NONE>,  'GetConsoleSelectionInfo',  \
    GetConsoleTitleA, <.lpConsoleTitle, .nSize>,  'GetConsoleTitleA',  \
    GetConsoleTitleW, <.lpConsoleTitle, .nSize>,  'GetConsoleTitleW',  \
    GetConsoleWindow, <NONE>,  'GetConsoleWindow',  \
    GetCurrencyFormatA, <.Locale, .dwFlags, .lpValue, .lpFormat, .lpCurrencyStr, .cchCurrency>,  'GetCurrencyFormatA',  \
    GetCurrencyFormatW, <.Locale, .dwFlags, .lpValue, .lpFormat, .lpCurrencyStr, .cchCurrency>,  'GetCurrencyFormatW',  \
    GetCurrentActCtx, <NONE>,  'GetCurrentActCtx',  \
    GetCurrentConsoleFont, <NONE>,  'GetCurrentConsoleFont',  \
    GetCurrentDirectoryA, <.nBufferLength, .lpBuffer>,  'GetCurrentDirectoryA',  \
    GetCurrentDirectoryW, <.nBufferLength, .lpBuffer>,  'GetCurrentDirectoryW',  \
    GetCurrentProcess, <VOID>,  'GetCurrentProcess',  \
    GetCurrentProcessId, <VOID>,  'GetCurrentProcessId',  \
    GetCurrentThread, <VOID>,  'GetCurrentThread',  \
    GetCurrentThreadId, <VOID>,  'GetCurrentThreadId',  \
    GetDateFormatA, <.Locale, .dwFlags, .lpDate, .lpFormat, .lpDateStr, .cchDate>,  'GetDateFormatA',  \
    GetDateFormatW, <.Locale, .dwFlags, .lpDate, .lpFormat, .lpDateStr, .cchDate>,  'GetDateFormatW',  \
    GetDefaultCommConfigA, <.lpszName, .lpCC, .lpdwSize>,  'GetDefaultCommConfigA',  \
    GetDefaultCommConfigW, <.lpszName, .lpCC, .lpdwSize>,  'GetDefaultCommConfigW',  \
    GetDefaultSortkeySize, <NONE>,  'GetDefaultSortkeySize',  \
    GetDevicePowerState, <.hDevice, .pfOn>,  'GetDevicePowerState',  \
    GetDiskFreeSpaceA, <.lpRootPathName, .lpSectorsPerCluster, .lpBytesPerSector, .lpNumberOfFreeClusters, .lpTotalNumberOfClusters,  \
      >,  'GetDiskFreeSpaceA',  \
    GetDiskFreeSpaceExA, <.lpDirectoryName, .lpFreeBytesAvailableToCaller, .lpTotalNumberOfBytes, .lpTotalNumberOfFreeBytes>,  'GetDiskFreeSpaceExA',  \
    GetDiskFreeSpaceExW, <.lpDirectoryName, .lpFreeBytesAvailableToCaller, .lpTotalNumberOfBytes, .lpTotalNumberOfFreeBytes>,  'GetDiskFreeSpaceExW',  \
    GetDiskFreeSpaceW, <.lpRootPathName, .lpSectorsPerCluster, .lpBytesPerSector, .lpNumberOfFreeClusters, .lpTotalNumberOfClusters,  \
      >,  'GetDiskFreeSpaceW',  \
    GetDllDirectoryA, <NONE>,  'GetDllDirectoryA',  \
    GetDllDirectoryW, <NONE>,  'GetDllDirectoryW',  \
    GetDriveTypeA, <.nDrive>,  'GetDriveTypeA',  \
    GetDriveTypeW, <.nDrive>,  'GetDriveTypeW',  \
    GetEnvironmentStrings, <VOID>,  'GetEnvironmentStrings',  \
    GetEnvironmentStringsA, <VOID>,  'GetEnvironmentStringsA',  \
    GetEnvironmentStringsW, <VOID>,  'GetEnvironmentStringsW',  \
    GetEnvironmentVariableA, <.lpName, .lpBuffer, .nSize>,  'GetEnvironmentVariableA',  \
    GetEnvironmentVariableW, <.lpName, .lpBuffer, .nSize>,  'GetEnvironmentVariableW',  \
    GetExitCodeProcess, <.hProcess, .lpExitCode>,  'GetExitCodeProcess',  \
    GetExitCodeThread, <.hThread, .lpExitCode>,  'GetExitCodeThread',  \
    GetExpandedNameA, <.lpszSource, .lpszBuffer>,  'GetExpandedNameA',  \
    GetExpandedNameW, <.lpszSource, .lpszBuffer>,  'GetExpandedNameW',  \
    GetFileAttributesA, <.lpFileName>,  'GetFileAttributesA',  \
    GetFileAttributesExA, <.lpFileName, .fInfoLevelId, .lpFileInformation>,  'GetFileAttributesExA',  \
    GetFileAttributesExW, <.lpFileName, .fInfoLevelId, .lpFileInformation>,  'GetFileAttributesExW',  \
    GetFileAttributesW, <.lpFileName>,  'GetFileAttributesW',  \
    GetFileInformationByHandle, <.hFile, .lpFileInformation>,  'GetFileInformationByHandle',  \
    GetFileSize, <.hFile, .lpFileSizeHigh>,  'GetFileSize',  \
    GetFileSizeEx, <.hFile, .lpFileSize>,  'GetFileSizeEx',  \
    GetFileTime, <.hFile, .lpCreationTime, .lpLastAccessTime, .lpLastWriteTime>,  'GetFileTime',  \
    GetFileType, <.hFile>,  'GetFileType',  \
    GetFirmwareEnvironmentVariableA, <NONE>,  'GetFirmwareEnvironmentVariableA',  \
    GetFirmwareEnvironmentVariableW, <NONE>,  'GetFirmwareEnvironmentVariableW',  \
    GetFullPathNameA, <.lpFileName, .nBufferLength, .lpBuffer, .lpFilePart>,  'GetFullPathNameA',  \
    GetFullPathNameW, <.lpFileName, .nBufferLength, .lpBuffer, .lpFilePart>,  'GetFullPathNameW',  \
    GetGeoInfoA, <NONE>,  'GetGeoInfoA',  \
    GetGeoInfoW, <NONE>,  'GetGeoInfoW',  \
    GetHandleContext, <NONE>,  'GetHandleContext',  \
    GetHandleInformation, <.hObject, .lpdwFlags>,  'GetHandleInformation',  \
    GetLargestConsoleWindowSize, <.hConsoleOutput>,  'GetLargestConsoleWindowSize',  \
    GetLastError, <VOID>,  'GetLastError',  \
    GetLinguistLangSize, <NONE>,  'GetLinguistLangSize',  \
    GetLocalTime, <.lpSystemTime>,  'GetLocalTime',  \
    GetLocaleInfoA, <.Locale, .LCType, .lpLCData, .cchData>,  'GetLocaleInfoA',  \
    GetLocaleInfoW, <.Locale, .LCType, .lpLCData, .cchData>,  'GetLocaleInfoW',  \
    GetLogicalDriveStringsA, <.nBufferLength, .lpBuffer>,  'GetLogicalDriveStringsA',  \
    GetLogicalDriveStringsW, <.nBufferLength, .lpBuffer>,  'GetLogicalDriveStringsW',  \
    GetLogicalDrives, <VOID>,  'GetLogicalDrives',  \
    GetLogicalProcessorInformation, <NONE>,  'GetLogicalProcessorInformation',  \
    GetLongPathNameA, <.lpszShortPath, .lpszLongPath, .cchBuffer>,  'GetLongPathNameA',  \
    GetLongPathNameW, <.lpszShortPath, .lpszLongPath, .cchBuffer>,  'GetLongPathNameW',  \
    GetMailslotInfo, <.hMailslot, .lpMaxMessageSize, .lpNextSize, .lpMessageCount, .lpReadTimeout>,  'GetMailslotInfo',  \
    GetModuleFileNameA, <.hModule, .lpFileName, .nSize>,  'GetModuleFileNameA',  \
    GetModuleFileNameW, <.hModule, .lpFileName, .nSize>,  'GetModuleFileNameW',  \
    GetModuleHandleA, <.lpModuleName>,  'GetModuleHandleA',  \
    GetModuleHandleExA, <NONE>,  'GetModuleHandleExA',  \
    GetModuleHandleExW, <NONE>,  'GetModuleHandleExW',  \
    GetModuleHandleW, <.lpModuleName>,  'GetModuleHandleW',  \
    GetNamedPipeHandleStateA, <.hNamedPipe, .lpState, .lpCurInstances, .lpMaxCollectionCount, .lpCollectDataTimeout, .lpUserName, .nMaxUserNameSize,  \
      >,  'GetNamedPipeHandleStateA',  \
    GetNamedPipeHandleStateW, <.hNamedPipe, .lpState, .lpCurInstances, .lpMaxCollectionCount, .lpCollectDataTimeout, .lpUserName, .nMaxUserNameSize,  \
      >,  'GetNamedPipeHandleStateW',  \
    GetNamedPipeInfo, <.hNamedPipe, .lpFlags, .lpOutBufferSize, .lpInBufferSize, .lpMaxInstances>,  'GetNamedPipeInfo',  \
    GetNativeSystemInfo, <NONE>,  'GetNativeSystemInfo',  \
    GetNextVDMCommand, <NONE>,  'GetNextVDMCommand',  \
    GetNlsSectionName, <NONE>,  'GetNlsSectionName',  \
    GetNumaAvailableMemory, <NONE>,  'GetNumaAvailableMemory',  \
    GetNumaAvailableMemoryNode, <NONE>,  'GetNumaAvailableMemoryNode',  \
    GetNumaHighestNodeNumber, <NONE>,  'GetNumaHighestNodeNumber',  \
    GetNumaNodeProcessorMask, <NONE>,  'GetNumaNodeProcessorMask',  \
    GetNumaProcessorMap, <NONE>,  'GetNumaProcessorMap',  \
    GetNumaProcessorNode, <NONE>,  'GetNumaProcessorNode',  \
    GetNumberFormatA, <.Locale, .dwFlags, .lpValue, .lpFormat, .lpNumberStr, .cchNumber>,  'GetNumberFormatA',  \
    GetNumberFormatW, <.Locale, .dwFlags, .lpValue, .lpFormat, .lpNumberStr, .cchNumber>,  'GetNumberFormatW',  \
    GetNumberOfConsoleFonts, <NONE>,  'GetNumberOfConsoleFonts',  \
    GetNumberOfConsoleInputEvents, <.hConsoleInput, .lpNumberOfEvents>,  'GetNumberOfConsoleInputEvents',  \
    GetNumberOfConsoleMouseButtons, <.lpNumberOfMouseButtons>,  'GetNumberOfConsoleMouseButtons',  \
    GetOEMCP, <VOID>,  'GetOEMCP',  \
    GetOverlappedResult, <.hFile, .lpOverlapped, .lpNumberOfBytesTransferred, .bWait>,  'GetOverlappedResult',  \
    GetPriorityClass, <.hProcess>,  'GetPriorityClass',  \
    GetPrivateProfileIntA, <.lpApplicationName, .lpKeyName, .nDefault, .lpFileName>,  'GetPrivateProfileIntA',  \
    GetPrivateProfileIntW, <.lpApplicationName, .lpKeyName, .nDefault, .lpFileName>,  'GetPrivateProfileIntW',  \
    GetPrivateProfileSectionA, <.lpAppName, .lpReturnedString, .nSize, .lpFileName>,  'GetPrivateProfileSectionA',  \
    GetPrivateProfileSectionNamesA, <.lpszReturnBuffer, .nSize, .lpFileName>,  'GetPrivateProfileSectionNamesA',  \
    GetPrivateProfileSectionNamesW, <.lpszReturnBuffer, .nSize, .lpFileName>,  'GetPrivateProfileSectionNamesW',  \
    GetPrivateProfileSectionW, <.lpAppName, .lpReturnedString, .nSize, .lpFileName>,  'GetPrivateProfileSectionW',  \
    GetPrivateProfileStringA, <.lpApplicationName, .lpKeyName, .lpDefault, .lpReturnedString, .nSize, .lpFileName>,  'GetPrivateProfileStringA',  \
    GetPrivateProfileStringW, <.lpApplicationName, .lpKeyName, .lpDefault, .lpReturnedString, .nSize, .lpFileName>,  'GetPrivateProfileStringW',  \
    GetPrivateProfileStructA, <.lpszSection, .lpszKey, .lpStruct, .uSizeStruct, .szFile>,  'GetPrivateProfileStructA',  \
    GetPrivateProfileStructW, <.lpszSection, .lpszKey, .lpStruct, .uSizeStruct, .szFile>,  'GetPrivateProfileStructW',  \
    GetProcAddress, <.hModule, .lpProcName>,  'GetProcAddress',  \
    GetProcessAffinityMask, <.hProcess, .lpProcessAffinityMask, .SystemAffinityMask>,  'GetProcessAffinityMask',  \
    GetProcessDEPPolicy, <NONE>,  'GetProcessDEPPolicy',  \
    GetProcessHandleCount, <NONE>,  'GetProcessHandleCount',  \
    GetProcessHeap, <VOID>,  'GetProcessHeap',  \
    GetProcessHeaps, <.NumberOfHeaps, .ProcessHeaps>,  'GetProcessHeaps',  \
    GetProcessId, <NONE>,  'GetProcessId',  \
    GetProcessIoCounters, <.hProcess, .lpIoCounters>,  'GetProcessIoCounters',  \
    GetProcessPriorityBoost, <.hProcess, .pDisablePriorityBoost>,  'GetProcessPriorityBoost',  \
    GetProcessShutdownParameters, <.lpdwLevel, .lpdwFlags>,  'GetProcessShutdownParameters',  \
    GetProcessTimes, <.hProcess, .lpCreationTime, .lpExitTime, .lpKernelTime, .lpUserTime>,  'GetProcessTimes',  \
    GetProcessVersion, <.ProcessId>,  'GetProcessVersion',  \
    GetProcessWorkingSetSize, <.hProcess, .lpMinimumWorkingSetSize, .lpMaximumWorkingSetSize>,  'GetProcessWorkingSetSize',  \
    GetProfileIntA, <.lpAppName, .lpKeyName, .nDefault>,  'GetProfileIntA',  \
    GetProfileIntW, <.lpAppName, .lpKeyName, .nDefault>,  'GetProfileIntW',  \
    GetProfileSectionA, <.lpAppName, .lpReturnedString, .nSize>,  'GetProfileSectionA',  \
    GetProfileSectionW, <.lpAppName, .lpReturnedString, .nSize>,  'GetProfileSectionW',  \
    GetProfileStringA, <.lpAppName, .lpKeyName, .lpDefault, .lpReturnedString, .nSize>,  'GetProfileStringA',  \
    GetProfileStringW, <.lpAppName, .lpKeyName, .lpDefault, .lpReturnedString, .nSize>,  'GetProfileStringW',  \
    GetQueuedCompletionStatus, <.CompletionPort, .lpNumberOfBytesTransferred, .lpCompletionKey, .lpOverlapped, .dwMilliseconds>,  'GetQueuedCompletionStatus',  \
    GetShortPathNameA, <.lpszLongPath, .lpszShortPath, .cchBuffer>,  'GetShortPathNameA',  \
    GetShortPathNameW, <.lpszLongPath, .lpszShortPath, .cchBuffer>,  'GetShortPathNameW',  \
    GetStartupInfoA, <.lpStartupInfo>,  'GetStartupInfoA',  \
    GetStartupInfoW, <.lpStartupInfo>,  'GetStartupInfoW',  \
    GetStdHandle, <.nStdHandle>,  'GetStdHandle',  \
    GetStringTypeA, <.Locale, .dwInfoType, .lpSrcStr, .cchSrc, .lpCharType>,  'GetStringTypeA',  \
    GetStringTypeExA, <.Locale, .dwInfoType, .lpSrcStr, .cchSrc, .lpCharType>,  'GetStringTypeExA',  \
    GetStringTypeExW, <.Locale, .dwInfoType, .lpSrcStr, .cchSrc, .lpCharType>,  'GetStringTypeExW',  \
    GetStringTypeW, <.Locale, .dwInfoType, .lpSrcStr, .cchSrc, .lpCharType>,  'GetStringTypeW',  \
    GetSystemDEPPolicy, <NONE>,  'GetSystemDEPPolicy',  \
    GetSystemDefaultLCID, <VOID>,  'GetSystemDefaultLCID',  \
    GetSystemDefaultLangID, <VOID>,  'GetSystemDefaultLangID',  \
    GetSystemDefaultUILanguage, <VOID>,  'GetSystemDefaultUILanguage',  \
    GetSystemDirectoryA, <.lpBuffer, .nSize>,  'GetSystemDirectoryA',  \
    GetSystemDirectoryW, <.lpBuffer, .nSize>,  'GetSystemDirectoryW',  \
    GetSystemInfo, <.lpSystemInfo>,  'GetSystemInfo',  \
    GetSystemPowerStatus, <.lpSystemPowerStatus>,  'GetSystemPowerStatus',  \
    GetSystemRegistryQuota, <NONE>,  'GetSystemRegistryQuota',  \
    GetSystemTime, <.lpSystemTime>,  'GetSystemTime',  \
    GetSystemTimeAdjustment, <.lpTimeAdjustment, .lpTimeIncrement, .lpTimeAdjustmentDisabled>,  'GetSystemTimeAdjustment',  \
    GetSystemTimeAsFileTime, <.lpSystemTimeAsFileTime>,  'GetSystemTimeAsFileTime',  \
    GetSystemTimes, <NONE>,  'GetSystemTimes',  \
    GetSystemWindowsDirectoryA, <.lpBuffer, .uSize>,  'GetSystemWindowsDirectoryA',  \
    GetSystemWindowsDirectoryW, <.lpBuffer, .uSize>,  'GetSystemWindowsDirectoryW',  \
    GetSystemWow64DirectoryA, <NONE>,  'GetSystemWow64DirectoryA',  \
    GetSystemWow64DirectoryW, <NONE>,  'GetSystemWow64DirectoryW',  \
    GetTapeParameters, <.hDevice, .dwOperation, .lpdwSize, .lpTapeInformation>,  'GetTapeParameters',  \
    GetTapePosition, <.hDevice, .dwPositionType, .lpdwPartition, .lpdwOffsetLow, .lpdwOffsetHigh>,  'GetTapePosition',  \
    GetTapeStatus, <.hDevice>,  'GetTapeStatus',  \
    GetTempFileNameA, <.lpszPath, .lpPrefixString, .wUnique, .lpTempFileName>,  'GetTempFileNameA',  \
    GetTempFileNameW, <.lpszPath, .lpPrefixString, .wUnique, .lpTempFileName>,  'GetTempFileNameW',  \
    GetTempPathA, <.nBufferLength, .lpBuffer>,  'GetTempPathA',  \
    GetTempPathW, <.nBufferLength, .lpBuffer>,  'GetTempPathW',  \
    GetThreadContext, <.hThread, .lpContext>,  'GetThreadContext',  \
    GetThreadIOPendingFlag, <NONE>,  'GetThreadIOPendingFlag',  \
    GetThreadLocale, <VOID>,  'GetThreadLocale',  \
    GetThreadPriority, <.hThread>,  'GetThreadPriority',  \
    GetThreadPriorityBoost, <.hThread, .pDisablePriorityBoost>,  'GetThreadPriorityBoost',  \
    GetThreadSelectorEntry, <.hThread, .dwSelector, .lpSelectorEntry>,  'GetThreadSelectorEntry',  \
    GetThreadTimes, <.hThread, .lpCreationTime, .lpExitTime, .lpKernelTime, .lpUserTime>,  'GetThreadTimes',  \
    GetTickCount, <VOID>,  'GetTickCount',  \
    GetTimeFormatA, <.Locale, .dwFlags, .lpTime, .lpFormat, .lpTimeStr, .cchTime>,  'GetTimeFormatA',  \
    GetTimeFormatW, <.Locale, .dwFlags, .lpTime, .lpFormat, .lpTimeStr, .cchTime>,  'GetTimeFormatW',  \
    GetTimeZoneInformation, <.lpTimeZoneInformation>,  'GetTimeZoneInformation',  \
    GetUserDefaultLCID, <VOID>,  'GetUserDefaultLCID',  \
    GetUserDefaultLangID, <VOID>,  'GetUserDefaultLangID',  \
    GetUserDefaultUILanguage, <VOID>,  'GetUserDefaultUILanguage',  \
    GetUserGeoID, <NONE>,  'GetUserGeoID',  \
    GetVDMCurrentDirectories, <NONE>,  'GetVDMCurrentDirectories',  \
    GetVersion, <VOID>,  'GetVersion',  \
    GetVersionExA, <.lpVersionInformation>,  'GetVersionExA',  \
    GetVersionExW, <.lpVersionInformation>,  'GetVersionExW',  \
    GetVolumeInformationA, <.lpRootPathName, .lpVolumeNameBuffer, .nVolumeNameSize, .lpVolumeSerialNumber, .lpMaximumComponentLength,  \
        .lpFileSystemFlags, .lpFileSystemNameBuffer, .nFileSystemNameSize>,  'GetVolumeInformationA',  \
    GetVolumeInformationW, <.lpRootPathName, .lpVolumeNameBuffer, .nVolumeNameSize, .lpVolumeSerialNumber, .lpMaximumComponentLength,  \
        .lpFileSystemFlags, .lpFileSystemNameBuffer, .nFileSystemNameSize>,  'GetVolumeInformationW',  \
    GetVolumeNameForVolumeMountPointA, <.lpszVolumeMountPoint, .lpszVolumeName, .cchBufferLength>,  'GetVolumeNameForVolumeMountPointA',  \
    GetVolumeNameForVolumeMountPointW, <.lpszVolumeMountPoint, .lpszVolumeName, .cchBufferLength>,  'GetVolumeNameForVolumeMountPointW',  \
    GetVolumePathNameA, <.lpszFileName, .lpszVolumePathName, .cchBufferLength>,  'GetVolumePathNameA',  \
    GetVolumePathNameW, <.lpszFileName, .lpszVolumePathName, .cchBufferLength>,  'GetVolumePathNameW',  \
    GetVolumePathNamesForVolumeNameA, <NONE>,  'GetVolumePathNamesForVolumeNameA',  \
    GetVolumePathNamesForVolumeNameW, <NONE>,  'GetVolumePathNamesForVolumeNameW',  \
    GetWindowsDirectoryA, <.lpBuffer, .nSize>,  'GetWindowsDirectoryA',  \
    GetWindowsDirectoryW, <.lpBuffer, .nSize>,  'GetWindowsDirectoryW',  \
    GetWriteWatch, <.dwFlags, .lpBaseAddress, .dwRegionSize, .lpAddresses, .lpdwCount, .lpdwGranularity>,  'GetWriteWatch',  \
    GlobalAddAtomA, <.lpString>,  'GlobalAddAtomA',  \
    GlobalAddAtomW, <.lpString>,  'GlobalAddAtomW',  \
    GlobalAlloc, <.uFlags, .dwBytes>,  'GlobalAlloc',  \
    GlobalCompact, <.dwMinFree>,  'GlobalCompact',  \
    GlobalDeleteAtom, <.nAtom>,  'GlobalDeleteAtom',  \
    GlobalFindAtomA, <.lpString>,  'GlobalFindAtomA',  \
    GlobalFindAtomW, <.lpString>,  'GlobalFindAtomW',  \
    GlobalFix, <.hMem>,  'GlobalFix',  \
    GlobalFlags, <.hMem>,  'GlobalFlags',  \
    GlobalFree, <.hMem>,  'GlobalFree',  \
    GlobalGetAtomNameA, <.nAtom, .lpBuffer, .nSize>,  'GlobalGetAtomNameA',  \
    GlobalGetAtomNameW, <.nAtom, .lpBuffer, .nSize>,  'GlobalGetAtomNameW',  \
    GlobalHandle, <.wMem>,  'GlobalHandle',  \
    GlobalLock, <.hMem>,  'GlobalLock',  \
    GlobalMemoryStatus, <.lpBuffer>,  'GlobalMemoryStatus',  \
    GlobalMemoryStatusEx, <.lpBuffer>,  'GlobalMemoryStatusEx',  \
    GlobalReAlloc, <.hMem, .dwBytes, .wFlags>,  'GlobalReAlloc',  \
    GlobalSize, <.hMem>,  'GlobalSize',  \
    GlobalUnWire, <.hMem>,  'GlobalUnWire',  \
    GlobalUnfix, <.hMem>,  'GlobalUnfix',  \
    GlobalUnlock, <.hMem>,  'GlobalUnlock',  \
    GlobalWire, <.hMem>,  'GlobalWire',  \
    Heap32First, <.lphe, .th32ProcessID, .th32HeapID>,  'Heap32First',  \
    Heap32ListFirst, <.hSnapshot, .lphl>,  'Heap32ListFirst',  \
    Heap32ListNext, <.hSnapshot, .lphl>,  'Heap32ListNext',  \
    Heap32Next, <.lphe>,  'Heap32Next',  \
    HeapAlloc, <.hHeap, .dwFlags, .dwBytes>,  'HeapAlloc',  \
    HeapCompact, <.hHeap, .dwFlags>,  'HeapCompact',  \
    HeapCreate, <.flOptions, .dwInitialSize, .dwMaximumSize>,  'HeapCreate',  \
    HeapCreateTagsW, <NONE>,  'HeapCreateTagsW',  \
    HeapDestroy, <.hHeap>,  'HeapDestroy',  \
    HeapExtend, <NONE>,  'HeapExtend',  \
    HeapFree, <.hHeap, .dwFlags, .lpMem>,  'HeapFree',  \
    HeapLock, <.hHeap>,  'HeapLock',  \
    HeapQueryInformation, <NONE>,  'HeapQueryInformation',  \
    HeapQueryTagW, <NONE>,  'HeapQueryTagW',  \
    HeapReAlloc, <.hHeap, .dwFlags, .lpMem, .dwBytes>,  'HeapReAlloc',  \
    HeapSetInformation, <NONE>,  'HeapSetInformation',  \
    HeapSize, <.hHeap, .dwFlags, .lpMem>,  'HeapSize',  \
    HeapSummary, <NONE>,  'HeapSummary',  \
    HeapUnlock, <.hHeap>,  'HeapUnlock',  \
    HeapUsage, <NONE>,  'HeapUsage',  \
    HeapValidate, <.hHeap, .dwFlags, .lpMem>,  'HeapValidate',  \
    HeapWalk, <.hHeap, .lpEntry>,  'HeapWalk',  \
    InitAtomTable, <.nSize>,  'InitAtomTable',  \
    InitializeCriticalSection, <.lpCriticalSection>,  'InitializeCriticalSection',  \
    InitializeCriticalSectionAndSpinCount, <.lpCriticalSection, .dwSpinCount>,  'InitializeCriticalSectionAndSpinCount',  \
    InitializeSListHead, <NONE>,  'InitializeSListHead',  \
    InterlockedCompareExchange, <.Destination, .Exchange, .Comperand>,  'InterlockedCompareExchange',  \
    InterlockedDecrement, <.lpAddend>,  'InterlockedDecrement',  \
    InterlockedExchange, <.Target, .Value>,  'InterlockedExchange',  \
    InterlockedExchangeAdd, <.Addend, .Value>,  'InterlockedExchangeAdd',  \
    InterlockedFlushSList, <NONE>,  'InterlockedFlushSList',  \
    InterlockedIncrement, <.lpAddend>,  'InterlockedIncrement',  \
    InterlockedPopEntrySList, <NONE>,  'InterlockedPopEntrySList',  \
    InterlockedPushEntrySList, <NONE>,  'InterlockedPushEntrySList',  \
    InvalidateConsoleDIBits, <NONE>,  'InvalidateConsoleDIBits',  \
    IsBadCodePtr, <.lpfn>,  'IsBadCodePtr',  \
    IsBadHugeReadPtr, <.lp, .ucb>,  'IsBadHugeReadPtr',  \
    IsBadHugeWritePtr, <.lp, .ucb>,  'IsBadHugeWritePtr',  \
    IsBadReadPtr, <.lp, .ucb>,  'IsBadReadPtr',  \
    IsBadStringPtrA, <.lpsz, .ucchMax>,  'IsBadStringPtrA',  \
    IsBadStringPtrW, <.lpsz, .ucchMax>,  'IsBadStringPtrW',  \
    IsBadWritePtr, <.lp, .ucb>,  'IsBadWritePtr',  \
    IsDBCSLeadByte, <.bTestChar>,  'IsDBCSLeadByte',  \
    IsDBCSLeadByteEx, <.CodePage, .TestChar>,  'IsDBCSLeadByteEx',  \
    IsDebuggerPresent, <VOID>,  'IsDebuggerPresent',  \
    IsProcessInJob, <NONE>,  'IsProcessInJob',  \
    IsProcessorFeaturePresent, <.ProcessorFeature>,  'IsProcessorFeaturePresent',  \
    IsSystemResumeAutomatic, <VOID>,  'IsSystemResumeAutomatic',  \
    IsValidCodePage, <.CodePage>,  'IsValidCodePage',  \
    IsValidLanguageGroup, <.LanguageGroup, .dwFlags>,  'IsValidLanguageGroup',  \
    IsValidLocale, <.Locale, .dwFlags>,  'IsValidLocale',  \
    IsValidUILanguage, <NONE>,  'IsValidUILanguage',  \
    IsWow64Process, <NONE>,  'IsWow64Process',  \
    LCMapStringA, <.Locale, .dwMapFlags, .lpSrcStr, .cchSrc, .lpDestStr, .cchDest>,  'LCMapStringA',  \
    LCMapStringW, <.Locale, .dwMapFlags, .lpSrcStr, .cchSrc, .lpDestStr, .cchDest>,  'LCMapStringW',  \
    LZClose, <.hfFile>,  'LZClose',  \
    LZCloseFile, <NONE>,  'LZCloseFile',  \
    LZCopy, <.hfSource, .hfDest>,  'LZCopy',  \
    LZCreateFileW, <NONE>,  'LZCreateFileW',  \
    LZDone, <VOID>,  'LZDone',  \
    LZInit, <.hfSrc>,  'LZInit',  \
    LZOpenFileA, <.lpszFile, .lpOf, .style>,  'LZOpenFileA',  \
    LZOpenFileW, <.lpszFile, .lpOf, .style>,  'LZOpenFileW',  \
    LZRead, <.hfFile, .lpvBuf, .cbread>,  'LZRead',  \
    LZSeek, <.hfFile, .lOffset, .nOrigin>,  'LZSeek',  \
    LZStart, <VOID>,  'LZStart',  \
    LeaveCriticalSection, <.lpCriticalSection>,  'LeaveCriticalSection',  \
    LoadLibraryA, <.lpLibFileName>,  'LoadLibraryA',  \
    LoadLibraryExA, <.lpLibFileName, .hFile, .dwFlags>,  'LoadLibraryExA',  \
    LoadLibraryExW, <.lpLibFileName, .hFile, .dwFlags>,  'LoadLibraryExW',  \
    LoadLibraryW, <.lpLibFileName>,  'LoadLibraryW',  \
    LoadModule, <.lpModuleName, .lpParameterBlock>,  'LoadModule',  \
    LoadResource, <.hInstance, .hResInfo>,  'LoadResource',  \
    LocalAlloc, <.wFlags, .wBytes>,  'LocalAlloc',  \
    LocalCompact, <.uMinFree>,  'LocalCompact',  \
    LocalFileTimeToFileTime, <.lpLocalFileTime, .lpFileTime>,  'LocalFileTimeToFileTime',  \
    LocalFlags, <.hMem>,  'LocalFlags',  \
    LocalFree, <.hMem>,  'LocalFree',  \
    LocalHandle, <.wMem>,  'LocalHandle',  \
    LocalLock, <.hMem>,  'LocalLock',  \
    LocalReAlloc, <.hMem, .wBytes, .wFlags>,  'LocalReAlloc',  \
    LocalShrink, <.hMem, .cbNewSize>,  'LocalShrink',  \
    LocalSize, <.hMem>,  'LocalSize',  \
    LocalUnlock, <.hMem>,  'LocalUnlock',  \
    LockFile, <.hFile, .dwFileOffsetLow, .dwFileOffsetHigh, .nNumberOfBytesToLockLow, .nNumberOfBytesToLockHigh>,  'LockFile',  \
    LockFileEx, <.hFile, .dwFlags, .dwReserved, .nNumberOfBytesToLockLow, .nNumberOfBytesToLockHigh, .lpOverlapped>,  'LockFileEx',  \
    LockResource, <.hResData>,  'LockResource',  \
    MapUserPhysicalPages, <.VirtualAddress, .NumberOfPages, .PageArray>,  'MapUserPhysicalPages',  \
    MapUserPhysicalPagesScatter, <.VirtualAddresses, .NumberOfPages, .PageArray>,  'MapUserPhysicalPagesScatter',  \
    MapViewOfFile, <.hFileMappingObject, .dwDesiredAccess, .dwFileOffsetHigh, .dwFileOffsetLow, .dwNumberOfBytesToMap>,  'MapViewOfFile',  \
    MapViewOfFileEx, <.hFileMappingObject, .dwDesiredAccess, .dwFileOffsetHigh, .dwFileOffsetLow, .dwNumberOfBytesToMap, .lpBaseAddress,  \
      >,  'MapViewOfFileEx',  \
    Module32First, <.hSnapshot, .lpme>,  'Module32First',  \
    Module32FirstW, <.hSnapshot, .lpme>,  'Module32FirstW',  \
    Module32Next, <.hSnapshot, .lpme>,  'Module32Next',  \
    Module32NextW, <.hSnapshot, .lpme>,  'Module32NextW',  \
    MoveFileA, <.lpExistingFileName, .lpNewFileName>,  'MoveFileA',  \
    MoveFileExA, <.lpExistingFileName, .lpNewFileName, .dwFlags>,  'MoveFileExA',  \
    MoveFileExW, <.lpExistingFileName, .lpNewFileName, .dwFlags>,  'MoveFileExW',  \
    MoveFileW, <.lpExistingFileName, .lpNewFileName>,  'MoveFileW',  \
    MoveFileWithProgressA, <.lpExistingFileName, .lpNewFileName, .lpProgressRoutine, .lpData, .dwFlags>,  'MoveFileWithProgressA',  \
    MoveFileWithProgressW, <.lpExistingFileName, .lpNewFileName, .lpProgressRoutine, .lpData, .dwFlags>,  'MoveFileWithProgressW',  \
    MulDiv, <.nNumber, .nNumerator, .nDenominator>,  'MulDiv',  \
    MultiByteToWideChar, <.CodePage, .dwFlags, .lpMultiByteStr, .cchMultiByte, .lpWideCharStr, .cchWideChar>,  'MultiByteToWideChar',  \
    NlsConvertIntegerToString, <NONE>,  'NlsConvertIntegerToString',  \
    NlsGetCacheUpdateCount, <NONE>,  'NlsGetCacheUpdateCount',  \
    NlsResetProcessLocale, <NONE>,  'NlsResetProcessLocale',  \
    NumaVirtualQueryNode, <NONE>,  'NumaVirtualQueryNode',  \
    OpenConsoleW, <NONE>,  'OpenConsoleW',  \
    OpenDataFile, <NONE>,  'OpenDataFile',  \
    OpenEventA, <.dwDesiredAccess, .bInheritHandle, .lpName>,  'OpenEventA',  \
    OpenEventW, <.dwDesiredAccess, .bInheritHandle, .lpName>,  'OpenEventW',  \
    OpenFile, <.lpFileName, .lpReOpenBuff, .wStyle>,  'OpenFile',  \
    OpenFileMappingA, <.dwDesiredAccess, .bInheritHandle, .lpName>,  'OpenFileMappingA',  \
    OpenFileMappingW, <.dwDesiredAccess, .bInheritHandle, .lpName>,  'OpenFileMappingW',  \
    OpenJobObjectA, <.dwDesiredAccess, .bInheritHandle, .lpName>,  'OpenJobObjectA',  \
    OpenJobObjectW, <.dwDesiredAccess, .bInheritHandle, .lpName>,  'OpenJobObjectW',  \
    OpenMutexA, <.dwDesiredAccess, .bInheritHandle, .lpName>,  'OpenMutexA',  \
    OpenMutexW, <.dwDesiredAccess, .bInheritHandle, .lpName>,  'OpenMutexW',  \
    OpenProcess, <.dwDesiredAccess, .bInheritHandle, .dwProcessId>,  'OpenProcess',  \
    OpenProfileUserMapping, <NONE>,  'OpenProfileUserMapping',  \
    OpenSemaphoreA, <.dwDesiredAccess, .bInheritHandle, .lpName>,  'OpenSemaphoreA',  \
    OpenSemaphoreW, <.dwDesiredAccess, .bInheritHandle, .lpName>,  'OpenSemaphoreW',  \
    OpenThread, <.dwDesiredAccess, .bInheritHandle, .dwThreadId>,  'OpenThread',  \
    OpenWaitableTimerA, <.dwDesiredAccess, .bInheritHandle, .lpTimerName>,  'OpenWaitableTimerA',  \
    OpenWaitableTimerW, <.dwDesiredAccess, .bInheritHandle, .lpTimerName>,  'OpenWaitableTimerW',  \
    OutputDebugStringA, <.lpOutputString>,  'OutputDebugStringA',  \
    OutputDebugStringW, <.lpOutputString>,  'OutputDebugStringW',  \
    PeekConsoleInputA, <.hConsoleInput, .lpBuffer, .nLength, .lpNumberOfEventsRead>,  'PeekConsoleInputA',  \
    PeekConsoleInputW, <.hConsoleInput, .lpBuffer, .nLength, .lpNumberOfEventsRead>,  'PeekConsoleInputW',  \
    PeekNamedPipe, <.hNamedPipe, .lpBuffer, .nBufferSize, .lpBytesRead, .lpTotalBytesAvail, .lpBytesLeftThisMessage>,  'PeekNamedPipe',  \
    PostQueuedCompletionStatus, <.CompletionPort, .dwNumberOfBytesTransferred, .dwCompletionKey, .lpOverlapped>,  'PostQueuedCompletionStatus',  \
    PrepareTape, <.hDevice, .dwOperation, .bimmediate>,  'PrepareTape',  \
    PrivCopyFileExW, <NONE>,  'PrivCopyFileExW',  \
    PrivMoveFileIdentityW, <NONE>,  'PrivMoveFileIdentityW',  \
    Process32First, <.hSnapshot, .lppe>,  'Process32First',  \
    Process32FirstW, <.hSnapshot, .lppe>,  'Process32FirstW',  \
    Process32Next, <.hSnapshot, .lppe>,  'Process32Next',  \
    Process32NextW, <.hSnapshot, .lppe>,  'Process32NextW',  \
    ProcessIdToSessionId, <.dwProcessId, .pSessionId>,  'ProcessIdToSessionId',  \
    PulseEvent, <.hEvent>,  'PulseEvent',  \
    PurgeComm, <.hFile, .dwFlags>,  'PurgeComm',  \
    QueryActCtxW, <NONE>,  'QueryActCtxW',  \
    QueryDepthSList, <NONE>,  'QueryDepthSList',  \
    QueryDosDeviceA, <.lpDeviceName, .lpTargetPath, .ucchMax>,  'QueryDosDeviceA',  \
    QueryDosDeviceW, <.lpDeviceName, .lpTargetPath, .ucchMax>,  'QueryDosDeviceW',  \
    QueryInformationJobObject, <.hJob, .JobObjectInformationClass, .lpJobObjectInformation, .cbJobObjectInformationLength, .lpReturnLength,  \
      >,  'QueryInformationJobObject',  \
    QueryMemoryResourceNotification, <NONE>,  'QueryMemoryResourceNotification',  \
    QueryPerformanceCounter, <.lpPerformanceCount>,  'QueryPerformanceCounter',  \
    QueryPerformanceFrequency, <.lpFrequency>,  'QueryPerformanceFrequency',  \
    QueryWin31IniFilesMappedToRegistry, <NONE>,  'QueryWin31IniFilesMappedToRegistry',  \
    QueueUserAPC, <.pfnAPC, .hThread, .dwData>,  'QueueUserAPC',  \
    QueueUserWorkItem, <.lFunction, .Context, .Flags>,  'QueueUserWorkItem',  \
    RaiseException, <.dwExceptionCode, .dwExceptionFlags, .nNumberOfArguments, .lpArguments>,  'RaiseException',  \
    ReadConsoleA, <.hConsoleInput, .lpBuffer, .nNumberOfCharsToRead, .lpNumberOfCharsRead, .lpReserved>,  'ReadConsoleA',  \
    ReadConsoleInputA, <.hConsoleInput, .lpBuffer, .nLength, .lpNumberOfEventsRead>,  'ReadConsoleInputA',  \
    ReadConsoleInputExA, <NONE>,  'ReadConsoleInputExA',  \
    ReadConsoleInputExW, <NONE>,  'ReadConsoleInputExW',  \
    ReadConsoleInputW, <.hConsoleInput, .lpBuffer, .nLength, .lpNumberOfEventsRead>,  'ReadConsoleInputW',  \
    ReadConsoleOutputA, <.hConsoleOutput, .lpBuffer, .dwBufferSize, .dwBufferCoord, .lpReadRegion>,  'ReadConsoleOutputA',  \
    ReadConsoleOutputAttribute, <.hConsoleOutput, .lpAttribute, .nLength, .dwReadCoord, .lpNumberOfAttrsRead>,  'ReadConsoleOutputAttribute',  \
    ReadConsoleOutputCharacterA, <.hConsoleOutput, .lpCharacter, .nLength, .dwReadCoord, .lpNumberOfCharsRead>,  'ReadConsoleOutputCharacterA',  \
    ReadConsoleOutputCharacterW, <.hConsoleOutput, .lpCharacter, .nLength, .dwReadCoord, .lpNumberOfCharsRead>,  'ReadConsoleOutputCharacterW',  \
    ReadConsoleOutputW, <.hConsoleOutput, .lpBuffer, .dwBufferSize, .dwBufferCoord, .lpReadRegion>,  'ReadConsoleOutputW',  \
    ReadConsoleW, <.hConsoleInput, .lpBuffer, .nNumberOfCharsToRead, .lpNumberOfCharsRead, .lpReserved>,  'ReadConsoleW',  \
    ReadDirectoryChangesW, <NONE>,  'ReadDirectoryChangesW',  \
    ReadFile, <.hFile, .lpBuffer, .nNumberOfBytesToRead, .lpNumberOfBytesRead, .lpOverlapped>,  'ReadFile',  \
    ReadFileEx, <.hFile, .lpBuffer, .nNumberOfBytesToRead, .lpOverlapped, .lpCompletionRoutine>,  'ReadFileEx',  \
    ReadFileScatter, <.hFile, .aSegmentArray, .nNumberOfBytesToRead, .lpReserved, .lpOverlapped>,  'ReadFileScatter',  \
    ReadProcessMemory, <.hProcess, .lpBaseAddress, .lpBuffer, .nSize, .lpNumberOfBytesWritten>,  'ReadProcessMemory',  \
    RegisterConsoleIME, <NONE>,  'RegisterConsoleIME',  \
    RegisterConsoleOS2, <NONE>,  'RegisterConsoleOS2',  \
    RegisterConsoleVDM, <NONE>,  'RegisterConsoleVDM',  \
    RegisterWaitForInputIdle, <NONE>,  'RegisterWaitForInputIdle',  \
    RegisterWaitForSingleObject, <.phNewWaitObject, .hObject, .Callback, .Context, .dwMilliseconds, .dwFlags>,  'RegisterWaitForSingleObject',  \
    RegisterWaitForSingleObjectEx, <.hObject, .Callback, .Context, .dwMilliseconds, .dwFlags>,  'RegisterWaitForSingleObjectEx',  \
    RegisterWowBaseHandlers, <NONE>,  'RegisterWowBaseHandlers',  \
    RegisterWowExec, <NONE>,  'RegisterWowExec',  \
    ReleaseActCtx, <NONE>,  'ReleaseActCtx',  \
    ReleaseMutex, <.hMutex>,  'ReleaseMutex',  \
    ReleaseSemaphore, <.hSemaphore, .lReleaseCount, .lpPreviousCount>,  'ReleaseSemaphore',  \
    RemoveDirectoryA, <.lpPathName>,  'RemoveDirectoryA',  \
    RemoveDirectoryW, <.lpPathName>,  'RemoveDirectoryW',  \
    RemoveLocalAlternateComputerNameA, <NONE>,  'RemoveLocalAlternateComputerNameA',  \
    RemoveLocalAlternateComputerNameW, <NONE>,  'RemoveLocalAlternateComputerNameW',  \
    RemoveVectoredExceptionHandler, <NONE>,  'RemoveVectoredExceptionHandler',  \
    ReplaceFile, <.lpReplacedFileName, .lpReplacementFileName, .lpBackupFileName, .dwReplaceFlags, .lpExclude, .lpReserved>,  'ReplaceFile',  \
    ReplaceFileA, <.lpReplacedFileName, .lpReplacementFileName, .lpBackupFileName, .dwReplaceFlags, .lpExclude, .lpReserved>,  'ReplaceFileA',  \
    ReplaceFileW, <.lpReplacedFileName, .lpReplacementFileName, .lpBackupFileName, .dwReplaceFlags, .lpExclude, .lpReserved>,  'ReplaceFileW',  \
    RequestDeviceWakeup, <.hDevice>,  'RequestDeviceWakeup',  \
    RequestWakeupLatency, <.latency>,  'RequestWakeupLatency',  \
    ResetEvent, <.hEvent>,  'ResetEvent',  \
    ResetWriteWatch, <.lpBaseAddress, .dwRegionSize>,  'ResetWriteWatch',  \
    RestoreLastError, <NONE>,  'RestoreLastError',  \
    ResumeThread, <.hThread>,  'ResumeThread',  \
    RtlCaptureContext, <NONE>,  'RtlCaptureContext',  \
    RtlCaptureStackBackTrace, <NONE>,  'RtlCaptureStackBackTrace',  \
    RtlFillMemory, <.Destination, .Length, .Fill>,  'RtlFillMemory',  \
    RtlMoveMemory, <.dest, .source, .numBytes>,  'RtlMoveMemory',  \
    RtlUnwind, <NONE>,  'RtlUnwind',  \
    RtlZeroMemory, <.dest, .numBytes>,  'RtlZeroMemory',  \
    ScrollConsoleScreenBufferA, <.hConsoleOutput, .lpScrollRectangle, .lpClipRectangle, .dwDestinationOrigin, .lpFill>,  'ScrollConsoleScreenBufferA',  \
    ScrollConsoleScreenBufferW, <.hConsoleOutput, .lpScrollRectangle, .lpClipRectangle, .dwDestinationOrigin, .lpFill>,  'ScrollConsoleScreenBufferW',  \
    SearchPathA, <.lpPath, .lpFileName, .lpExtension, .nBufferLength, .lpBuffer, .lpFilePart>,  'SearchPathA',  \
    SearchPathW, <.lpPath, .lpFileName, .lpExtension, .nBufferLength, .lpBuffer, .lpFilePart>,  'SearchPathW',  \
    SetCPGlobal, <NONE>,  'SetCPGlobal',  \
    SetCalendarInfoA, <.Locale, .Calendar, .CalType, .lpCalData>,  'SetCalendarInfoA',  \
    SetCalendarInfoW, <.Locale, .Calendar, .CalType, .lpCalData>,  'SetCalendarInfoW',  \
    SetClientTimeZoneInformation, <NONE>,  'SetClientTimeZoneInformation',  \
    SetComPlusPackageInstallStatus, <NONE>,  'SetComPlusPackageInstallStatus',  \
    SetCommBreak, <.nCid>,  'SetCommBreak',  \
    SetCommConfig, <.hCommDev, .lpCC, .dwSize>,  'SetCommConfig',  \
    SetCommMask, <.hFile, .dwEvtMask>,  'SetCommMask',  \
    SetCommState, <.hCommDev, .lpDCB>,  'SetCommState',  \
    SetCommTimeouts, <.hFile, .lpCommTimeouts>,  'SetCommTimeouts',  \
    SetComputerNameA, <.lpComputerName>,  'SetComputerNameA',  \
    SetComputerNameExA, <.NameType, .lpBuffer>,  'SetComputerNameExA',  \
    SetComputerNameExW, <.NameType, .lpBuffer>,  'SetComputerNameExW',  \
    SetComputerNameW, <.lpComputerName>,  'SetComputerNameW',  \
    SetConsoleActiveScreenBuffer, <.hConsoleOutput>,  'SetConsoleActiveScreenBuffer',  \
    SetConsoleCP, <.wCodePageID>,  'SetConsoleCP',  \
    SetConsoleCommandHistoryMode, <NONE>,  'SetConsoleCommandHistoryMode',  \
    SetConsoleCtrlHandler, <.HandlerRoutine, .Add>,  'SetConsoleCtrlHandler',  \
    SetConsoleCursor, <NONE>,  'SetConsoleCursor',  \
    SetConsoleCursorInfo, <.hConsoleOutput, .lpConsoleCursorInfo>,  'SetConsoleCursorInfo',  \
    SetConsoleCursorMode, <NONE>,  'SetConsoleCursorMode',  \
    SetConsoleCursorPosition, <.hConsoleOutput, .dwCursorPosition>,  'SetConsoleCursorPosition',  \
    SetConsoleDisplayMode, <NONE>,  'SetConsoleDisplayMode',  \
    SetConsoleFont, <NONE>,  'SetConsoleFont',  \
    SetConsoleHardwareState, <NONE>,  'SetConsoleHardwareState',  \
    SetConsoleIcon, <NONE>,  'SetConsoleIcon',  \
    SetConsoleInputExeNameA, <NONE>,  'SetConsoleInputExeNameA',  \
    SetConsoleInputExeNameW, <NONE>,  'SetConsoleInputExeNameW',  \
    SetConsoleKeyShortcuts, <NONE>,  'SetConsoleKeyShortcuts',  \
    SetConsoleLocalEUDC, <NONE>,  'SetConsoleLocalEUDC',  \
    SetConsoleMaximumWindowSize, <NONE>,  'SetConsoleMaximumWindowSize',  \
    SetConsoleMenuClose, <NONE>,  'SetConsoleMenuClose',  \
    SetConsoleMode, <.hConsoleHandle, .dwMode>,  'SetConsoleMode',  \
    SetConsoleNlsMode, <NONE>,  'SetConsoleNlsMode',  \
    SetConsoleNumberOfCommandsA, <NONE>,  'SetConsoleNumberOfCommandsA',  \
    SetConsoleNumberOfCommandsW, <NONE>,  'SetConsoleNumberOfCommandsW',  \
    SetConsoleOS2OemFormat, <NONE>,  'SetConsoleOS2OemFormat',  \
    SetConsoleOutputCP, <.wCodePageID>,  'SetConsoleOutputCP',  \
    SetConsolePalette, <NONE>,  'SetConsolePalette',  \
    SetConsoleScreenBufferSize, <.hConsoleOutput, .dwSize>,  'SetConsoleScreenBufferSize',  \
    SetConsoleTextAttribute, <.hConsoleOutput, .wAttributes>,  'SetConsoleTextAttribute',  \
    SetConsoleTitleA, <.lpConsoleTitle>,  'SetConsoleTitleA',  \
    SetConsoleTitleW, <.lpConsoleTitle>,  'SetConsoleTitleW',  \
    SetConsoleWindowInfo, <.hConsoleOutput, .bAbsolute, .lpConsoleWindow>,  'SetConsoleWindowInfo',  \
    SetCriticalSectionSpinCount, <.lpCriticalSection, .dwSpinCount>,  'SetCriticalSectionSpinCount',  \
    SetCurrentDirectoryA, <.lpPathName>,  'SetCurrentDirectoryA',  \
    SetCurrentDirectoryW, <.lpPathName>,  'SetCurrentDirectoryW',  \
    SetDefaultCommConfigA, <.lpszName, .lpCC, .dwSize>,  'SetDefaultCommConfigA',  \
    SetDefaultCommConfigW, <.lpszName, .lpCC, .dwSize>,  'SetDefaultCommConfigW',  \
    SetDllDirectoryA, <NONE>,  'SetDllDirectoryA',  \
    SetDllDirectoryW, <NONE>,  'SetDllDirectoryW',  \
    SetEndOfFile, <.hFile>,  'SetEndOfFile',  \
    SetEnvironmentVariableA, <.lpName, .lpValue>,  'SetEnvironmentVariableA',  \
    SetEnvironmentVariableW, <.lpName, .lpValue>,  'SetEnvironmentVariableW',  \
    SetErrorMode, <.wMode>,  'SetErrorMode',  \
    SetEvent, <.hEvent>,  'SetEvent',  \
    SetFileApisToANSI, <VOID>,  'SetFileApisToANSI',  \
    SetFileApisToOEM, <VOID>,  'SetFileApisToOEM',  \
    SetFileAttributesA, <.lpFileName, .dwFileAttributes>,  'SetFileAttributesA',  \
    SetFileAttributesW, <.lpFileName, .dwFileAttributes>,  'SetFileAttributesW',  \
    SetFilePointer, <.hFile, .lDistanceToMove, .lpDistanceToMoveHigh, .dwMoveMethod>,  'SetFilePointer',  \
    SetFilePointerEx, <.hFile, .liDistanceToMove, .lpNewFilePointer, .dwMoveMethod>,  'SetFilePointerEx',  \
    SetFileShortNameA, <NONE>,  'SetFileShortNameA',  \
    SetFileShortNameW, <NONE>,  'SetFileShortNameW',  \
    SetFileTime, <.hFile, .lpCreationTime, .lpLastAccessTime, .lpLastWriteTime>,  'SetFileTime',  \
    SetFileValidData, <NONE>,  'SetFileValidData',  \
    SetFirmwareEnvironmentVariableA, <NONE>,  'SetFirmwareEnvironmentVariableA',  \
    SetFirmwareEnvironmentVariableW, <NONE>,  'SetFirmwareEnvironmentVariableW',  \
    SetHandleContext, <NONE>,  'SetHandleContext',  \
    SetHandleCount, <.wNumber>,  'SetHandleCount',  \
    SetHandleInformation, <.hObject, .dwMask, .dwFlags>,  'SetHandleInformation',  \
    SetInformationJobObject, <.hJob, .JobObjectInformationClass, .lpJobObjectInformation, .cbJobObjectInformationLength>,  'SetInformationJobObject',  \
    SetLastConsoleEventActive, <NONE>,  'SetLastConsoleEventActive',  \
    SetLastError, <.dwErrCode>,  'SetLastError',  \
    SetLocalPrimaryComputerNameA, <NONE>,  'SetLocalPrimaryComputerNameA',  \
    SetLocalPrimaryComputerNameW, <NONE>,  'SetLocalPrimaryComputerNameW',  \
    SetLocalTime, <.lpSystemTime>,  'SetLocalTime',  \
    SetLocaleInfoA, <.Locale, .LCType, .lpLCData>,  'SetLocaleInfoA',  \
    SetLocaleInfoW, <.Locale, .LCType, .lpLCData>,  'SetLocaleInfoW',  \
    SetMailslotInfo, <.hMailslot, .lReadTimeout>,  'SetMailslotInfo',  \
    SetMessageWaitingIndicator, <.hMsgIndicator, .ulMsgCount>,  'SetMessageWaitingIndicator',  \
    SetNamedPipeHandleState, <.hNamedPipe, .lpMode, .lpMaxCollectionCount, .lpCollectDataTimeout>,  'SetNamedPipeHandleState',  \
    SetPriorityClass, <.hProcess, .dwPriorityClass>,  'SetPriorityClass',  \
    SetProcessAffinityMask, <.hProcess, .dwProcessAffinityMask>,  'SetProcessAffinityMask',  \
    SetProcessDEPPolicy, <NONE>,  'SetProcessDEPPolicy',  \
    SetProcessPriorityBoost, <.hProcess, .bDisablePriorityBoost>,  'SetProcessPriorityBoost',  \
    SetProcessShutdownParameters, <.dwLevel, .dwFlags>,  'SetProcessShutdownParameters',  \
    SetProcessWorkingSetSize, <.hProcess, .dwMinimumWorkingSetSize, .dwMaximumWorkingSetSize>,  'SetProcessWorkingSetSize',  \
    SetStdHandle, <.nStdHandle, .nHandle>,  'SetStdHandle',  \
    SetSystemPowerState, <.fSuspend, .fForce>,  'SetSystemPowerState',  \
    SetSystemTime, <.lpSystemTime>,  'SetSystemTime',  \
    SetSystemTimeAdjustment, <.dwTimeAdjustment, .bTimeAdjustmentDisabled>,  'SetSystemTimeAdjustment',  \
    SetTapeParameters, <.hDevice, .dwOperation, .lpTapeInformation>,  'SetTapeParameters',  \
    SetTapePosition, <.hDevice, .dwPositionMethod, .dwPartition, .dwOffsetLow, .dwOffsetHigh, .bimmediate>,  'SetTapePosition',  \
    SetTermsrvAppInstallMode, <NONE>,  'SetTermsrvAppInstallMode',  \
    SetThreadAffinityMask, <.hThread, .dwThreadAffinityMask>,  'SetThreadAffinityMask',  \
    SetThreadContext, <.hThread, .lpContext>,  'SetThreadContext',  \
    SetThreadExecutionState, <.esFlags>,  'SetThreadExecutionState',  \
    SetThreadIdealProcessor, <.hThread, .dwIdealProcessor>,  'SetThreadIdealProcessor',  \
    SetThreadLocale, <.Locale>,  'SetThreadLocale',  \
    SetThreadPriority, <.hThread, .nPriority>,  'SetThreadPriority',  \
    SetThreadPriorityBoost, <.hThread, .bDisablePriorityBoost>,  'SetThreadPriorityBoost',  \
    SetThreadUILanguage, <NONE>,  'SetThreadUILanguage',  \
    SetTimeZoneInformation, <.lpTimeZoneInformation>,  'SetTimeZoneInformation',  \
    SetTimerQueueTimer, <.TimerQueue, .Callback, .Parameter, .DueTime, .Period, .PreferIo>,  'SetTimerQueueTimer',  \
    SetUnhandledExceptionFilter, <.lpTopLevelExceptionFilter>,  'SetUnhandledExceptionFilter',  \
    SetUserGeoID, <NONE>,  'SetUserGeoID',  \
    SetVDMCurrentDirectories, <NONE>,  'SetVDMCurrentDirectories',  \
    SetVolumeLabelA, <.lpRootPathName, .lpVolumeName>,  'SetVolumeLabelA',  \
    SetVolumeLabelW, <.lpRootPathName, .lpVolumeName>,  'SetVolumeLabelW',  \
    SetVolumeMountPointA, <.lpszVolumeMountPoint, .lpszVolumeName>,  'SetVolumeMountPointA',  \
    SetVolumeMountPointW, <.lpszVolumeMountPoint, .lpszVolumeName>,  'SetVolumeMountPointW',  \
    SetWaitableTimer, <.hTimer, .lpDueTime, .lPeriod, .pfnCompletionRoutine, .lpArgToCompletionRoutine, .fResume>,  'SetWaitableTimer',  \
    SetupComm, <.hFile, .dwInQueue, .dwOutQueue>,  'SetupComm',  \
    ShowConsoleCursor, <NONE>,  'ShowConsoleCursor',  \
    SignalObjectAndWait, <.hObjectToSignal, .hObjectToWaitOn, .dwMilliseconds, .bAlertable>,  'SignalObjectAndWait',  \
    SizeofResource, <.hInstance, .hResInfo>,  'SizeofResource',  \
    SleepWin, <.dwMilliseconds>,  'Sleep',  \
    SleepEx, <.dwMilliseconds, .bAlertable>,  'SleepEx',  \
    SuspendThread, <.hThread>,  'SuspendThread',  \
    SwitchToFiber, <.lpFiber>,  'SwitchToFiber',  \
    SwitchToThread, <VOID>,  'SwitchToThread',  \
    SystemTimeToFileTime, <.lpSystemTime, .lpFileTime>,  'SystemTimeToFileTime',  \
    SystemTimeToTzSpecificLocalTime, <.lpTimeZoneInformation, .lpUniversalTime, .lpLocalTime>,  'SystemTimeToTzSpecificLocalTime',  \
    TerminateJobObject, <.hJob, .uExitCode>,  'TerminateJobObject',  \
    TerminateProcess, <.hProcess, .uExitCode>,  'TerminateProcess',  \
    TerminateThread, <.hThread, .dwExitCode>,  'TerminateThread',  \
    TermsrvAppInstallMode, <NONE>,  'TermsrvAppInstallMode',  \
    Thread32First, <.hSnapshot, .lpte>,  'Thread32First',  \
    Thread32Next, <.hSnapshot, .lpte>,  'Thread32Next',  \
    TlsAlloc, <VOID>,  'TlsAlloc',  \
    TlsFree, <.dwTlsIndex>,  'TlsFree',  \
    TlsGetValue, <.dwTlsIndex>,  'TlsGetValue',  \
    TlsSetValue, <.dwTlsIndex, .lpTlsValue>,  'TlsSetValue',  \
    Toolhelp32ReadProcessMemory, <.th32ProcessID, .lpBaseAddress, .lpBuffer, .cbRead, .lpNumberOfBytesRead>,  'Toolhelp32ReadProcessMemory',  \
    TransactNamedPipe, <.hNamedPipe, .lpInBuffer, .nInBufferSize, .lpOutBuffer, .nOutBufferSize, .lpBytesRead, .lpOverlapped>,  'TransactNamedPipe',  \
    TransmitCommChar, <.nCid, .cChar>,  'TransmitCommChar',  \
    TrimVirtualBuffer, <NONE>,  'TrimVirtualBuffer',  \
    TryEnterCriticalSection, <.lpCriticalSection>,  'TryEnterCriticalSection',  \
    TzSpecificLocalTimeToSystemTime, <NONE>,  'TzSpecificLocalTimeToSystemTime',  \
    UTRegister, <NONE>,  'UTRegister',  \
    UTUnRegister, <NONE>,  'UTUnRegister',  \
    UnhandledExceptionFilter, <.ExceptionInfo>,  'UnhandledExceptionFilter',  \
    UnlockFile, <.hFile, .dwFileOffsetLow, .dwFileOffsetHigh, .nNumberOfBytesToUnlockLow, .nNumberOfBytesToUnlockHigh>,  'UnlockFile',  \
    UnlockFileEx, <.hFile, .dwReserved, .nNumberOfBytesToUnlockLow, .nNumberOfBytesToUnlockHigh, .lpOverlapped>,  'UnlockFileEx',  \
    UnmapViewOfFile, <.lpBaseAddress>,  'UnmapViewOfFile',  \
    UnregisterConsoleIME, <NONE>,  'UnregisterConsoleIME',  \
    UnregisterWait, <.WaitHandle>,  'UnregisterWait',  \
    UnregisterWaitEx, <.WaitHandle, .CompletionEvent>,  'UnregisterWaitEx',  \
    UpdateResourceA, <.hUpdate, .lpType, .lpName, .wLanguage, .lpData, .cbData>,  'UpdateResourceA',  \
    UpdateResourceW, <.hUpdate, .lpType, .lpName, .wLanguage, .lpData, .cbData>,  'UpdateResourceW',  \
    VDMConsoleOperation, <NONE>,  'VDMConsoleOperation',  \
    VDMOperationStarted, <NONE>,  'VDMOperationStarted',  \
    ValidateLCType, <NONE>,  'ValidateLCType',  \
    ValidateLocale, <NONE>,  'ValidateLocale',  \
    VerLanguageNameA, <.wLang, .szLang, .nSize>,  'VerLanguageNameA',  \
    VerLanguageNameW, <.wLang, .szLang, .nSize>,  'VerLanguageNameW',  \
    VerSetConditionMask, <.ConditionMask, .TypeMask, .Condition>,  'VerSetConditionMask',  \
    VerifyConsoleIoHandle, <NONE>,  'VerifyConsoleIoHandle',  \
    VerifyVersionInfoA, <.lpVersionInformation, .dwTypeMask, .dwlConditionMask>,  'VerifyVersionInfoA',  \
    VerifyVersionInfoW, <.lpVersionInformation, .dwTypeMask, .dwlConditionMask>,  'VerifyVersionInfoW',  \
    VirtualAlloc, <.lpAddress, .dwSize, .flAllocationType, .flProtect>,  'VirtualAlloc',  \
    VirtualAllocEx, <.hProcess, .lpAddress, .dwSize, .flAllocationType, .flProtect>,  'VirtualAllocEx',  \
    VirtualBufferExceptionHandler, <NONE>,  'VirtualBufferExceptionHandler',  \
    VirtualFree, <.lpAddress, .dwSize, .dwFreeType>,  'VirtualFree',  \
    VirtualFreeEx, <.hProcess, .lpAddress, .dwSize, .dwFreeType>,  'VirtualFreeEx',  \
    VirtualLock, <.lpAddress, .dwSize>,  'VirtualLock',  \
    VirtualProtect, <.lpAddress, .dwSize, .flNewProtect, .lpflOldProtect>,  'VirtualProtect',  \
    VirtualProtectEx, <.hProcess, .lpAddress, .dwSize, .flNewProtect, .lpflOldProtect>,  'VirtualProtectEx',  \
    VirtualQuery, <.lpAddress, .lpBuffer, .dwLength>,  'VirtualQuery',  \
    VirtualQueryEx, <.hProcess, .lpAddress, .lpBuffer, .dwLength>,  'VirtualQueryEx',  \
    VirtualUnlock, <.lpAddress, .dwSize>,  'VirtualUnlock',  \
    WTSGetActiveConsoleSessionId, <NONE>,  'WTSGetActiveConsoleSessionId',  \
    WaitCommEvent, <.hFile, .lpEvtMask, .lpOverlapped>,  'WaitCommEvent',  \
    WaitForDebugEvent, <.lpDebugEvent, .dwMilliseconds>,  'WaitForDebugEvent',  \
    WaitForMultipleObjects, <.nCount, .lpHandles, .bWaitAll, .dwMilliseconds>,  'WaitForMultipleObjects',  \
    WaitForMultipleObjectsEx, <.nCount, .lpHandles, .bWaitAll, .dwMilliseconds, .bAlertable>,  'WaitForMultipleObjectsEx',  \
    WaitForSingleObject, <.hHandle, .dwMilliseconds>,  'WaitForSingleObject',  \
    WaitForSingleObjectEx, <.hHandle, .dwMilliseconds, .bAlertable>,  'WaitForSingleObjectEx',  \
    WaitNamedPipeA, <.lpNamedPipeName, .nTimeOut>,  'WaitNamedPipeA',  \
    WaitNamedPipeW, <.lpNamedPipeName, .nTimeOut>,  'WaitNamedPipeW',  \
    WideCharToMultiByte, <.CodePage, .dwFlags, .lpWideCharStr, .cchWideChar, .lpMultiByteStr, .cchMultiByte, .lpDefaultChar, .lpUsedDefaultChar,  \
      >,  'WideCharToMultiByte',  \
    WinExec, <.lpCmdLine, .nCmdShow>,  'WinExec',  \
    WriteConsoleA, <.hConsoleOutput, .lpBuffer, .nNumberOfCharsToWrite, .lpNumberOfCharsWritten, .lpReserved>,  'WriteConsoleA',  \
    WriteConsoleInputA, <.hConsoleInput, .lpBuffer, .nLength, .lpNumberOfEventsWritten>,  'WriteConsoleInputA',  \
    WriteConsoleInputVDMA, <NONE>,  'WriteConsoleInputVDMA',  \
    WriteConsoleInputVDMW, <NONE>,  'WriteConsoleInputVDMW',  \
    WriteConsoleInputW, <.hConsoleInput, .lpBuffer, .nLength, .lpNumberOfEventsWritten>,  'WriteConsoleInputW',  \
    WriteConsoleOutputA, <.hConsoleOutput, .lpBuffer, .dwBufferSize, .dwBufferCoord, .lpWriteRegion>,  'WriteConsoleOutputA',  \
    WriteConsoleOutputAttribute, <.hConsoleOutput, .lpAttribute, .nLength, .dwWriteCoord, .lpNumberOfAttrsWritten>,  'WriteConsoleOutputAttribute',  \
    WriteConsoleOutputCharacterA, <.hConsoleOutput, .lpCharacter, .nLength, .dwWriteCoord, .lpNumberOfCharsWritten>,  'WriteConsoleOutputCharacterA',  \
    WriteConsoleOutputCharacterW, <.hConsoleOutput, .lpCharacter, .nLength, .dwWriteCoord, .lpNumberOfCharsWritten>,  'WriteConsoleOutputCharacterW',  \
    WriteConsoleOutputW, <.hConsoleOutput, .lpBuffer, .dwBufferSize, .dwBufferCoord, .lpWriteRegion>,  'WriteConsoleOutputW',  \
    WriteConsoleW, <.hConsoleOutput, .lpBuffer, .nNumberOfCharsToWrite, .lpNumberOfCharsWritten, .lpReserved>,  'WriteConsoleW',  \
    WriteFile, <.hFile, .lpBuffer, .nNumberOfBytesToWrite, .lpNumberOfBytesWritten, .lpOverlapped>,  'WriteFile',  \
    WriteFileEx, <.hFile, .lpBuffer, .nNumberOfBytesToWrite, .lpOverlapped, .lpCompletionRoutine>,  'WriteFileEx',  \
    WriteFileGather, <.hFile, .aSegmentArray, .nNumberOfBytesToWrite, .lpReserved, .lpOverlapped>,  'WriteFileGather',  \
    WritePrivateProfileSectionA, <.lpAppName, .lpString, .lpFileName>,  'WritePrivateProfileSectionA',  \
    WritePrivateProfileSectionW, <.lpAppName, .lpString, .lpFileName>,  'WritePrivateProfileSectionW',  \
    WritePrivateProfileStringA, <.lpApplicationName, .lpKeyName, .lpString, .lpFileName>,  'WritePrivateProfileStringA',  \
    WritePrivateProfileStringW, <.lpApplicationName, .lpKeyName, .lpString, .lpFileName>,  'WritePrivateProfileStringW',  \
    WritePrivateProfileStructA, <.lpszSection, .lpszKey, .lpStruct, .uSizeStruct, .szFile>,  'WritePrivateProfileStructA',  \
    WritePrivateProfileStructW, <.lpszSection, .lpszKey, .lpStruct, .uSizeStruct, .szFile>,  'WritePrivateProfileStructW',  \
    WriteProcessMemory, <.hProcess, .lpBaseAddress, .lpBuffer, .nSize, .lpNumberOfBytesWritten>,  'WriteProcessMemory',  \
    WriteProfileSectionA, <.lpAppName, .lpString>,  'WriteProfileSectionA',  \
    WriteProfileSectionW, <.lpAppName, .lpString>,  'WriteProfileSectionW',  \
    WriteProfileStringA, <.lpszSection, .lpszKeyName, .lpszString>,  'WriteProfileStringA',  \
    WriteProfileStringW, <.lpszSection, .lpszKeyName, .lpszString>,  'WriteProfileStringW',  \
    WriteTapemark, <.hDevice, .dwTapemarkType, .dwTapemarkCount, .bimmediate>,  'WriteTapemark',  \
    ZombifyActCtx, <NONE>,  'ZombifyActCtx',  \
    _hread, <NONE>,  '_hread',  \
    _hwrite, <NONE>,  '_hwrite',  \
    _lclose, <NONE>,  '_lclose',  \
    _lcreat, <NONE>,  '_lcreat',  \
    _llseek, <NONE>,  '_llseek',  \
    _lopen, <NONE>,  '_lopen',  \
    _lread, <NONE>,  '_lread',  \
    _lwrite, <NONE>,  '_lwrite',  \
    lstrcat, <.lpString1, .lpString2>,  'lstrcat',  \
    lstrcatA, <.lpString1, .lpString2>,  'lstrcatA',  \
    lstrcatW, <.lpString1, .lpString2>,  'lstrcatW',  \
    lstrcmp, <.lpString1, .lpString2>,  'lstrcmp',  \
    lstrcmpA, <.lpString1, .lpString2>,  'lstrcmpA',  \
    lstrcmpW, <.lpString1, .lpString2>,  'lstrcmpW',  \
    lstrcmpi, <.lpString1, .lpString2>,  'lstrcmpi',  \
    lstrcmpiA, <.lpString1, .lpString2>,  'lstrcmpiA',  \
    lstrcmpiW, <.lpString1, .lpString2>,  'lstrcmpiW',  \
    lstrcpy, <.lpString1, .lpString2>,  'lstrcpy',  \
    lstrcpyA, <.lpString1, .lpString2>,  'lstrcpyA',  \
    lstrcpyW, <.lpString1, .lpString2>,  'lstrcpyW',  \
    lstrcpyn, <.lpString1, .lpString2, .iMaxLength>,  'lstrcpyn',  \
    lstrcpynA, <.lpString1, .lpString2, .iMaxLength>,  'lstrcpynA',  \
    lstrcpynW, <.lpString1, .lpString2, .iMaxLength>,  'lstrcpynW',  \
    lstrlen, <.lpString>,  'lstrlen',  \
    lstrlenA, <.lpString>,  'lstrlenA',  \
    lstrlenW, <.lpString>,  'lstrlenW'
