
proc ThreadCreate, .ptrFunction, .ptrArguments
.threadid dd ?
begin
        push    ecx edx
        lea     eax, [.threadid]
        mov     [.threadid], 0
        cinvoke pthread_create, eax, NULL, [.ptrFunction], [.ptrArguments]
        test    eax, eax
        jnz     .error

        cinvoke pthread_detach, [.threadid]
        mov     eax, [.threadid]
        clc
        pop     edx ecx
        return

.error:
        stc
        pop     edx ecx
        return
endp


proc FreeThreadID, .ThreadID
begin
        return
endp



; MUTEX functions
;_________________________________________________________________________________________


struct TMutex
  .value     dd ?
  .recursion dd ?
  .kind      dd ?
  .owner     dd ?
  .event     dd ?
ends


proc MutexCreate, .ptrName, .ptrMutex
.attr rb 256
begin
        push    eax ecx edx esi edi

        lea     esi, [.attr]
        cinvoke pthread_mutexattr_init, esi
        cinvoke pthread_mutexattr_settype, esi, PTHREAD_MUTEX_RECURSIVE

        cinvoke pthread_mutex_init, [.ptrMutex], esi
        cinvoke pthread_mutex_lock, [.ptrMutex]

        cinvoke pthread_mutexattr_destroy, esi

        pop     edi esi edx ecx eax
        return
endp




proc WaitForMutex, .ptrMutex, .timeout
.time lnx_timespec
begin
        push    eax ecx edx edi

        mov     eax, [.timeout]
        test    eax, eax
        js      .no_timeout

        mov     ecx, 1000
        cdq
        div     ecx
        imul    edx, 1000000

        lea     ecx, [.time]
        mov     [ecx+lnx_timespec.tv_sec], eax
        mov     [ecx+lnx_timespec.tv_nsec], edx

        cinvoke pthread_mutex_timedlock, [.ptrMutex], ecx
        jmp     .finish

.no_timeout:
        cinvoke pthread_mutex_lock, [.ptrMutex]

.finish:
        clc
        pop     edi edx ecx eax
        return
endp




proc MutexRelease, .ptrMutex
begin
        pushf
        push    eax ecx edx
        cinvoke pthread_mutex_unlock, [.ptrMutex]
        pop     edx ecx eax
        popf
        return
endp



proc MutexDestroy, .ptrMutex
begin
        push    eax ecx edx

        cinvoke pthread_mutex_destroy, [.ptrMutex]

        pop     edx ecx eax
        return
endp





