        ; Global variables used from this module.
uglobal
  hMainWindow     dd 0  ; MainWindow handle.
  hMainMenu       dd 0  ; handle of main menu.
  hReopenMenu     dd 0  ; handle of the reopen submenu.
  hMainToolbar    dd 0  ; handle of main toolbar
  hIml            dd 0  ; handle of image list for the toolbar/menu
  hImlGray        dd 0  ; handle of image list for disabled buttons/menu
  hDefImageBitmap dd 0

  hIniFileName    dd 0  ; handle of the string with INI file name
endg


iglobal
  cMainTitle      text  'Fresh ', FRESH_VERSION
  cMainSeparator  text ' : '
  cHintSelectTool text 'Select tool'

  Window MainForm, wtEnd, waNone, 'TForm', cMainTitle, WS_CAPTION or WS_VISIBLE or WS_SIZEBOX or WS_SYSMENU or WS_MINIMIZEBOX or WS_CLIPCHILDREN or WS_CLIPSIBLINGS, 0, NULL, 0, 0, 0, 100, MainWindowProc
endg


;**************************************************
; Creates form for main window.
;**************************************************

proc InitMainWindow, .hOwner
begin
        xor     ebx,ebx
        stdcall CreateForm, MainForm, [.hOwner]
        mov     [hMainWindow], ebx
        return
endp

iglobal
  property propLastActivePopup, 'LastActivePopup'
endg

;**************************************************************************
; Main window message callback procedure
;**************************************************************************
proc MainWindowProc, .hwnd, .wmsg, .wparam, .lparam

.rect   RECT
.tci    TCITEM
.tbb    TToolbarButton
.ti     TOOLINFO
.mii    MENUITEMINFO
.msg    TFreshMsg
.str    rb 512

begin
        call    JumpTo
        MessageList                             \
            DM_STATUSCHANGED, .statuschanged,   \
            DM_EVENTRAISED,   .eventraised,     \
            WM_DESTROY,       .wmdestroy,       \
            AM_INITWINDOW,    .aminitwindow,    \       ; instead of WM_CREATE
            WM_COMMAND,       .command,         \
            WM_SETTINGCHANGE, .settingchange,   \
            WM_NOTIFY,        .notify,          \
            WM_SYSCOMMAND,    .syscom,          \
            WM_CLOSE,         .toapp,           \
            WM_SETTEXT,       .settitle,        \
            WM_INITMENUPOPUP, .initmenupopup,   \
            WM_SETFOCUS,      .setfocus
.default:
        stc
        return


;-----WM_SETFOCUS-------------------------------------
.setfocus:
        invoke  SetPropA, [.hwnd], [propLastActivePopup], [.wparam]
        stc
        return

;-----WM_INITMENUPOPUP--------------------------------
.initmenupopup:
        mov     eax, [.wparam]
        cmp     eax, [hReopenMenu]
        jne     .qtrue

        stdcall FillMRUMenu, [.wparam], [ptrMRUProj], FirstMRU, 1
        stdcall FillMRUMenu, [.wparam], [ptrMRUFiles], FirstMRU, 2
        jmp     .qfalse

;---- WM_SETTEXT -------------------------------------
.settitle:
        stdcall StrNew
        mov     ebx, eax
        stdcall StrCopy, ebx, cMainTitle
        cmp     [.lparam], 0
        je      .setit

        stdcall StrCat, ebx, cMainSeparator
        stdcall StrCat, ebx, [.lparam]

.setit:
        stdcall StrPtr, ebx
        invoke  DefWindowProcA, [.hwnd], WM_SETTEXT, 0, eax
        stdcall StrDel, ebx
        clc
        return

;---- WM_SYSCOMMAND ----------------------------------
.syscom:
        mov     eax, [.wparam]
        and     eax, $fff0

        cmp     eax, SC_MAXIMIZE
        jz      .toapp
        cmp     eax, SC_MINIMIZE
        jz      .toapp

        cmp     eax, SC_RESTORE
        jnz     .default

.toapp:
        invoke  GetWindow, [.hwnd], GW_OWNER
        invoke  SendMessageA, eax, [.wmsg], [.wparam], [.lparam]
        clc
        return

;--- WM_NOTIFY ------------------------------------------------

.notify:
        mov     edi, [.lparam]
        mov     ebx, [edi+NMHDR.code]
        call    JumpTo
        MessageList                             \
            TTN_NEEDTEXT,    .tooltipneedtext,  \
            TCN_SELCHANGE,   .plt_selchange,    \
            TCN_SELCHANGING, .plt_selchanging,  \
            TBN_DROPDOWN,    .dropdown
        jmp     .default

; Opens drop-down menu for reopen files.
.dropdown:
        lea     ebx, [.rect]
        invoke  SendMessageA, [edi+NMHDR.hwndFrom], TB_COMMANDTOINDEX, [edi+NMTOOLBAR.iItem], 0
        invoke  SendMessageA, [edi+NMHDR.hwndFrom], TB_GETITEMRECT, eax, ebx
        invoke  ClientToScreen, [edi+NMHDR.hwndFrom], ebx
        add     ebx, 8
        invoke  ClientToScreen, [edi+NMHDR.hwndFrom], ebx
        invoke  TrackPopupMenu, [hReopenMenu], TPM_LEFTALIGN, [.rect.left], [.rect.bottom], 0, [.hwnd], NULL
        jmp     .qfalse

.tooltipneedtext:
; Force main window at the top.
        invoke  SetWindowPos, [.hwnd], HWND_TOP, eax, eax, eax, eax, SWP_NOMOVE or SWP_NOSIZE or SWP_NOACTIVATE

; Get hint text for toolbars.
        lea     eax, [.ti]
        mov     [.ti.cbSize], sizeof.TOOLINFO
        invoke  SendMessageA, [edi+NMHDR.hwndFrom], TTM_GETCURRENTTOOL, 0, eax

        mov     eax, [.ti.hwnd]
        cmp     eax, [hMainToolbar]
        je      .maintoolbar

        lea     eax, [.tbb]
        mov     ecx, [edi+NMHDR.idFrom]
        inc     ecx                             ; index of the button is ID+1, because of the separator.

        invoke  SendMessageA, [.ti.hwnd], TB_GETBUTTON, ecx, eax

        mov     ecx, cHintSelectTool
        mov     eax, [.tbb.dwData]
        and     eax, $7fffffff
        test    eax, eax
        jz      @f

        mov     ecx, [eax+TDesignTimeInfo.ControlHint]
@@:
        mov     [edi+TOOLTIPTEXT.lpszText], ecx
        mov     [edi+TOOLTIPTEXT.hinst], 0
        jmp     .qfalse


.maintoolbar:
        mov     eax, [edi+NMHDR.idFrom]
        sub     eax, FirstID
        stdcall GetHintText, MainActionList, eax
        mov     [edi+TOOLTIPTEXT.lpszText], eax
        mov     [edi+TOOLTIPTEXT.hinst], 0
        jmp     .qfalse

; Tool palette tab control, selection changed.
.plt_selchange:
        invoke  SendMessageA, [edi+NMHDR.hwndFrom], TCM_GETCURSEL, 0, 0
        mov     [.tci.mask], TCIF_PARAM
        lea     ebx, [.tci]
        invoke  SendMessageA, [edi+NMHDR.hwndFrom], TCM_GETITEM, eax, ebx

        invoke  ShowWindow, [.tci.lParam], SW_SHOWNORMAL
        invoke  SendMessageA, [.tci.lParam], TB_CHECKBUTTON, 0, TRUE

        stdcall AlignChildren, [edi+NMHDR.hwndFrom]
        jmp     .qfalse

.plt_selchanging:
        invoke  SendMessageA, [edi+NMHDR.hwndFrom], TCM_GETCURSEL, 0, 0
        lea     ebx, [.tci]
        mov     [.tci.mask], TCIF_PARAM
        invoke  SendMessageA, [edi+NMHDR.hwndFrom], TCM_GETITEM, eax, ebx
        invoke  ShowWindow, [.tci.lParam], SW_HIDE
        jmp     .qfalse


;-- WM_DISPLAYCHANGE ------------------------------------------
.settingchange:
        stdcall AutoArrangeWindows
        xor     eax,eax
        clc
        return

;--------- AM_INITWINDOW -------------------------------------------
.aminitwindow:
; Crete string with the filename of the INI file.

        lea     ebx, [.str]
        invoke  GetModuleFileNameA, NULL, ebx, 512
        mov     ecx, eax

.findloop:
        dec     eax
        js      .notfound

        cmp     byte [ebx+eax], '.'
        je      .found
        jmp     .findloop

.notfound:
        mov     eax, ecx
.found:
        mov     dword [ebx+eax], '.ini'
        mov     byte [ebx+eax+4], 0

        lea     esi, [eax+16]

        stdcall StrDup, ebx
        mov     [hIniFileName], eax

; Create image lists for toolbar and menus
        stdcall ImageList_LoadGif, [hInstance], resBmpAll, 16, FALSE
        mov     [hIml], eax

        stdcall ImageList_LoadGif, [hInstance], resBmpAll, 16, TRUE
        mov     [hImlGray],eax

; Create main menu
        stdcall CreateCoolMenu, MainMenu, FALSE
        mov     [hMainMenu], eax
        invoke  SetMenu, [.hwnd], [hMainMenu]

        invoke  GetSubMenu, [hMainMenu], 0      ; Get file menu
        invoke  GetSubMenu, eax, 3              ; Get reopen menu
        mov     [hReopenMenu], eax

; Create the main toolbar
        stdcall CreateCoolToolbar, MainActionList, MainToolbar, [.hwnd], $2000, [hIml], [hImlGray]
        mov     [hMainToolbar],eax
        stdcall SetAlign, eax, waTop

; Set Main window icon.
        invoke  LoadImageA, [hInstance], resMainIcon, IMAGE_ICON, 0, 0, 0
        invoke  SendMessageA, [.hwnd], WM_SETICON, ICON_SMALL, eax

; Set this window as main form for the application.
        invoke  SetPropA, [hApplication], [propMainForm], [.hwnd]

; Init of the windows and systems in the application...
        mov     [passes_limit], $80

        stdcall InitEditorHost, [hApplication]
        stdcall InitMessageWindow
        stdcall CheckParams

        stdcall InitSourceEditor  ; Create source editor.
        stdcall InitDumperWindow, [frmMsg]
        stdcall InitListerWindow, [hEditorsHost]

        stdcall InitPropEditor, [hApplication]  ; Create property editor
        stdcall InitProjectManager              ; Create project manager

        stdcall InitFileManager

        stdcall InitFindOptions
        stdcall InitHelp

        jmp     .qfalse



;---------- WM_DESTROY ------------------------------------
.wmdestroy:
        cmp     [comp_handle], 0
        je      @f

        invoke  TerminateThread, [comp_handle], 0
        invoke  CloseHandle, [comp_handle]
        mov     [comp_handle], 0
@@:
        invoke  DestroyWindow, [hEditorsHost]
        stdcall FinalizeSourceEditor
        stdcall FinalizeProjectManager
        stdcall CloseFileManager

        stdcall DestroyToolPalette

        stdcall DestroyLabelsTree, [ptrLabels]
        mov     [ptrLabels], 0

        stdcall ClearDebugInfo
        stdcall FreePreprocessed

        invoke  DestroyWindow, [hFindHistory]

        invoke  ImageList_Destroy,[hIml]
        invoke  ImageList_Destroy,[hImlGray]

        invoke  SendMessageA, [.hwnd], WM_GETICON, TRUE, 0
        invoke  DestroyIcon, eax
        invoke  SendMessageA, [.hwnd], WM_GETICON, FALSE, 0
        invoke  DestroyIcon, eax

        invoke  DeleteObject, [hDefImageBitmap]
        invoke  DestroyMenu, [hMainMenu]

        stdcall StrDel, [hIniFileName]

        jmp     .qfalse

;---------- WM_COMMAND -----------------------
.command:
; Return the control to the last window if the command is invoked from
; main window toolbar.

        invoke  GetFocus

.search:
        mov     ebx, eax
        invoke  GetParent, ebx
        test    eax, eax
        jnz     .search

        cmp     ebx, [.hwnd]
        jne     @f

        invoke  GetPropA, [.hwnd], [propLastActivePopup]
        test    eax, eax
        jz      @f

        invoke  SetFocus, eax

@@:
        movzx   esi,word [.wparam]
        cmp     esi, FirstID
        jl      .maybeMRU

        sub     esi,FirstID
        cmp     esi,[MainActionList.Number]
        jge     .default

        imul    esi,sizeof.TAction
        add     esi,MainActionList

        xor     eax,eax
        cmp     [esi+TAction.OnExecute],eax
        je      .qfalse

        stdcall [esi+TAction.OnExecute], [.wparam], [.lparam]

        jmp     .qtrue

.maybeMRU:
        sub     esi, FirstMRU
        js      .default

        invoke  GetMenuItemCount, [hReopenMenu]
        cmp     esi, eax
        jge     .default

        mov     [.mii.cbSize], sizeof.MENUITEMINFO
        mov     [.mii.fMask], MIIM_TYPE
        mov     [.mii.fType], MFT_STRING
        lea     ebx, [.str]
        mov     [.mii.dwTypeData], ebx
        mov     [.mii.cch], 256

        lea     eax, [.mii]
        invoke  GetMenuItemInfoA, [hReopenMenu], esi, TRUE, eax
        test    eax, eax
        jz      .default

        stdcall OpenFileByName, ebx, NULL, TRUE       ; inteligent open project/file.
        jmp     .qtrue

.qfalse:
        xor     eax,eax
        clc
        return

.qtrue:
        xor     eax,eax
        inc     eax
        clc
        return

;----------------------------------------------------------------------------------------------------
;      DEBUGGER MESSAGES.
;----------------------------------------------------------------------------------------------------
.statuschanged:
        mov     ecx, cStatusRunning
        cmp     [dbgStatus], dsRunning
        je      .statusok
        mov     ecx, cStatusPaused
        cmp     [dbgStatus], dsPaused
        je      .statusok
        mov     ecx, cStatusTerminated
        cmp     [dbgStatus], dsFinished
        je      .statusok
        mov     ecx, cStatusUnknown

.statusok:
        invoke  SendMessageA, [hStatus], SB_SETTEXT, 5, ecx
        clc
        return

iglobal
  cStatusRunning    text  ' Running...'
  cStatusPaused     text  ' Paused'
  cStatusTerminated text  ' Finished'
  cStatusUnknown    text  ' Unknown'
endg


.eventraised:
        cmp     [.wparam], 0
        jne     .exception

        mov     esi, [dbgEvent.dwDebugEventCode]
        cmp     esi, 9
        jbe     @f
        xor     esi, esi
@@:
        stdcall [TblDebugEvents+4*esi]
        test    eax, eax
        jz      .loggingOK

        lea     edi, [.msg]
        mov     [edi+TFreshMsg.type], mtDebug
        mov     [edi+TFreshMsg.hMessage], eax
        mov     [edi+TFreshMsg.link.hFileName], 0

        invoke  SendMessageA, [frmMsg], MWM_ADDMESSAGE, edi, TVI_ROOT
        stdcall StrDel, [edi+TFreshMsg.hMessage]

.loggingOK:
        cmp     esi, EXCEPTION_DEBUG_EVENT
        je      .exception

        cmp     esi, CREATE_PROCESS_DEBUG_EVENT
        je      .createprocess

        cmp     esi, EXIT_PROCESS_DEBUG_EVENT
        je      .exitprocess

.continue:
        mov     eax, dbgcContinue
        clc
        return


;--------- Exception debug event ------------------------
.exception:
        mov     [dbgContext.ContextFlags], CONTEXT_FULL
        invoke  GetThreadContext, [dbgPInfo.hThread], dbgContext

        invoke  SendMessageA, [hPropEditor], PRM_UPDATEPROP, 0, 0

        stdcall FindAddressPosition, [dbgContext.regEip]
        test    eax,eax
        jz      .unknownposition

        mov     [LastKnownLine], eax
        stdcall PosEditor, [eax+TDebugLine.ptrFile], [eax+TDebugLine.LineNum]
        invoke  SendMessageA, [hLister], LM_SHOWLIST, eax, 0

        invoke  GetDlgItem, [hPropEditor], 101
        invoke  ShowWindow, eax, SW_SHOW

        xor      eax, eax
        clc
        return

.unknownposition:
        invoke  GetDlgItem, [hPropEditor], 101
        invoke  ShowWindow, eax, SW_HIDE

        mov     eax, dbgcContinue
        cmp     [dbgEvent.Exception.ExceptionRecord.ExceptionCode], EXCEPTION_BREAKPOINT
        je      @f
        mov     eax, dbgcContinueNotHandled   ; Pass these kind of exceptions to the code.
@@:
        clc
        return


.createprocess:
        invoke  SendDlgItemMessageA, [hPropEditor], 101, PEM_SETCONTROL, dbgContext, DebuggerProperties
        invoke  SendDlgItemMessageA, [hPropEditor], 101, PEM_SETUPDATEPROC, 0, UpdateThreadContext
        invoke  SendMessageA, [hLister], LM_SHOW, SW_SHOWNORMAL, 0
        invoke  SendMessageA, [Dumper.hwnd], DMM_SHOW, SW_SHOWNORMAL, 0

        mov     eax, [dbgEvent.CreateProcessInfo.hFile]
        mov     [hDebugFileImage], eax
        mov     eax, dbgcContinue
        clc
        return

.exitprocess:
        invoke  CloseHandle, [hDebugThread]
        mov     [hDebugThread], 0

        invoke  CloseHandle, [hDebugFileImage]
        mov     [hDebugFileImage], 0

        invoke  SendDlgItemMessageA, [hPropEditor], 101, PEM_SETCONTROL, 0, 0

        invoke  GetDlgItem, [hPropEditor], 101
        invoke  ShowWindow, eax, SW_SHOW

        invoke  SendMessageA, [hLister], WM_SETTEXT, 0, 0
        invoke  SendMessageA, [hLister], LM_SHOW, SW_HIDE, 0
        invoke  SendMessageA, [Dumper.hwnd], DMM_SHOW, SW_HIDE, 0

        stdcall AlignChildren, [hEditorsHost]

        mov     eax, dbgcFinish
        clc
        return

endp


