;*******************************************************************************
; Get the text of the [Control] using WM_GETTEXT and put it to the string with
; handle (only) in [string].
;
; if [string] = NULL creates new string and returns the handle.
; if [string] <> NULL just copyes the text.
;*******************************************************************************
proc GetControlText, .Control, .string
.len dd ?
begin
        push    ebx ecx edx

        mov     eax, [.string]
        test    eax,eax
        jnz     @f
        stdcall StrNew
@@:
        mov     ebx, eax

        invoke  SendMessageA, [.Control], WM_GETTEXTLENGTH, 0, 0
        mov     [.len], eax
        stdcall StrSetCapacity, ebx, eax
        jc      .error

        push    eax
        add     [.len], 1
        invoke  SendMessageA, [.Control], WM_GETTEXT, [.len], eax
        pop     ecx
        mov     [ecx+string.len], eax
        mov     eax, ebx
        clc

.error:
        pop     edx ecx ebx
        return
endp





;*******************************************************************************
; Sets the text in control using WM_SETTEXT from string with handle or pointer
; in [string].
;*******************************************************************************
proc SetControlText, .Control, .string
begin
        push    eax ecx edx
        stdcall StrPtr, [.string]
        invoke  SendMessageA, [.Control], WM_SETTEXT, 0, eax
        pop     edx ecx eax
        return
endp
